import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/block_entity.g.dart';

@JsonSerializable()
class BlockEntity {
  BlockEntity();

  factory BlockEntity.fromJson(Map<String, dynamic> json) =>
      $BlockEntityFromJson(json);

  Map<String, dynamic> toJson() => $BlockEntityToJson(this);

  List<BlockList>? list;
}

@JsonSerializable()
class BlockList {
  BlockList();

  factory BlockList.fromJson(Map<String, dynamic> json) =>
      $BlockListFromJson(json);

  Map<String, dynamic> toJson() => $BlockListToJson(this);

  String? headImage;
  String? name;
  String? blockTime;
  String? userId;
}
