import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/faqlist_entity.g.dart';

@JsonSerializable()
class FaqListEntity {
  FaqListEntity();

  factory FaqListEntity.fromJson(Map<String, dynamic> json) =>
      $FaqListEntityFromJson(json);

  Map<String, dynamic> toJson() => $FaqListEntityToJson(this);

  List<FaqList>? helpRespList;
}

@JsonSerializable()
class FaqList {
  FaqList();

  factory FaqList.fromJson(Map<String, dynamic> json) => $FaqListFromJson(json);

  Map<String, dynamic> toJson() => $FaqListToJson(this);

  String? title;
  String? url;
  String? content;
  String? image;
}
