import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/history_match_entity.g.dart';

@JsonSerializable()
class HistoryMatchEntity {
  HistoryMatchEntity();

  factory HistoryMatchEntity.fromJson(Map<String, dynamic> json) =>
      $HistoryMatchEntityFromJson(json);

  Map<String, dynamic> toJson() => $HistoryMatchEntityToJson(this);

  List<HistoryMatchList>? matchList;
}

@JsonSerializable()
class HistoryMatchList {
  HistoryMatchList();

  factory HistoryMatchList.fromJson(Map<String, dynamic> json) =>
      $HistoryMatchListFromJson(json);

  Map<String, dynamic> toJson() => $HistoryMatchListToJson(this);

  String? id;
  String? nickname;
  String? age;
  String? cost;
  String? headImage;
  String? online;
  String? times;
}
