import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/label_entity.g.dart';

@JsonSerializable()
class LabelEntity {
  LabelEntity();

  factory LabelEntity.fromJson(Map<String, dynamic> json) =>
      $LabelEntityFromJson(json);

  Map<String, dynamic> toJson() => $LabelEntityToJson(this);

  List<LabelItem>? anchorLabel;
  List<LabelItem>? talkLabel;
}

@JsonSerializable()
class LabelItem {
  LabelItem();

  factory LabelItem.fromJson(Map<String, dynamic> json) =>
      $LabelItemFromJson(json);

  Map<String, dynamic> toJson() => $LabelItemToJson(this);

  String? value;
  String? code;
  String? type;
}
