import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/level_sys_ext_list_entity.g.dart';

@JsonSerializable()
class LevelSysExtListEntity {
  List<LevelSysExtListExpReceive>? expReceive;
  List<dynamic>? msg;

  LevelSysExtListEntity();

  factory LevelSysExtListEntity.fromJson(Map<String, dynamic> json) =>
      $LevelSysExtListEntityFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysExtListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LevelSysExtListExpReceive {
  int? maxNum;
  String? name;
  int? num;
  String? pro;
  String? type;

  LevelSysExtListExpReceive();

  factory LevelSysExtListExpReceive.fromJson(Map<String, dynamic> json) =>
      $LevelSysExtListExpReceiveFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysExtListExpReceiveToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
