import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/level_sys_lucklist_entity.g.dart';

@JsonSerializable()
class LevelSysLucklistEntity {
  int? integralNum;
  List<LevelSysLucklistLuckyList>? luckyList;

  LevelSysLucklistEntity();

  factory LevelSysLucklistEntity.fromJson(Map<String, dynamic> json) =>
      $LevelSysLucklistEntityFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysLucklistEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LevelSysLucklistLuckyList {
  String? icon;
  String? luckyNum;
  String? name;
  String? note;
  String? award;
  int? num;
  int? integralNum;

  LevelSysLucklistLuckyList();

  factory LevelSysLucklistLuckyList.fromJson(Map<String, dynamic> json) =>
      $LevelSysLucklistLuckyListFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysLucklistLuckyListToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
