import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/plus_entity.g.dart';

@JsonSerializable()
class PlusEntity {
  PlusEntity();

  factory PlusEntity.fromJson(Map<String, dynamic> json) =>
      $PlusEntityFromJson(json);

  Map<String, dynamic> toJson() => $PlusEntityToJson(this);

  List<PlusList>? lists;
}

@JsonSerializable()
class PlusList {
  PlusList();

  factory PlusList.fromJson(Map<String, dynamic> json) =>
      $PlusListFromJson(json);

  Map<String, dynamic> toJson() => $PlusListToJson(this);

  int? id;
  int? addCoin;
  int? sort;
  int? period; //0-周 1-月 2-2个月 3-3个月 4-6个月 5-1年
  int? level; //1-黄金 2-白银 3-青铜
  String? name;
  String? code;
  double? price;
}

@JsonSerializable()
class PlusBanner {
  PlusBanner();

  factory PlusBanner.fromJson(Map<String, dynamic> json) =>
      $PlusBannerFromJson(json);

  Map<String, dynamic> toJson() => $PlusBannerToJson(this);

  String? image;
  String? title;
  String? content;
  int? color;
  int? colorRight;
}

@JsonSerializable()
class PlusBean {
  PlusBean();

  factory PlusBean.fromJson(Map<String, dynamic> json) =>
      $PlusBeanFromJson(json);

  Map<String, dynamic> toJson() => $PlusBeanToJson(this);

  String? createTime;
  String? expirationTime;
  String? level;
  String? name;
  String? addCoin;
  int? period; //0-周 1-月 2-2个月 3-3个月 4-6个月 5-1年
}
