import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/pop_entity.g.dart';

@JsonSerializable()
class PopupEntity {
  PopupEntity();

  factory PopupEntity.fromJson(Map<String, dynamic> json) =>
      $PopupEntityFromJson(json);

  Map<String, dynamic> toJson() => $PopupEntityToJson(this);

  List<PopBannerList>? bannerList;
  List<PopPopupResp>? popupResp;
}

@JsonSerializable()
class PopBannerList {
  PopBannerList();

  factory PopBannerList.fromJson(Map<String, dynamic> json) =>
      $PopBannerListFromJson(json);

  Map<String, dynamic> toJson() => $PopBannerListToJson(this);

  String? imageUrl;
  String? targetUrl;
  String? title;
  int? type;
  String? value;
}

@JsonSerializable()
class PopPopupResp {
  PopPopupResp();

  factory PopPopupResp.fromJson(Map<String, dynamic> json) =>
      $PopPopupRespFromJson(json);

  Map<String, dynamic> toJson() => $PopPopupRespToJson(this);

  String? content;
  String? addWords;
  String? imgUrl;
  String? isPopup;
  String? money;
  String? symbol;
  String? parameter;
  String? payId;
  String? payType;
  String? rechargeId;
  String? time;
  String? title;
  String? type;
  String? unit;
  String? url;
  String? value;
}
