import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/token_entity.g.dart';

@JsonSerializable()
class TokenEntity {
  TokenEntity();

  factory TokenEntity.fromJson(Map<String, dynamic> json) =>
      $TokenEntityFromJson(json);

  Map<String, dynamic> toJson() => $TokenEntityToJson(this);

  String? id;
  String? token;
  String? url;
  String? imageUrl;
  String? money;
  String? addMoney; //订阅支付后新增的金币
  String? payed;
  String? isReport;
  String? sendCoins;
  String? userBalance;
  String? rtmToken;
  String? rtcToken;
  String? nowStatus;

  ///call
  String? canCall;
  String? reason;
  String? cont;
  String? time;
  String? second;
  String? inHouse;
  String? serial;
  String? houseId;
  String? nickName;
  String? total;

  ///match
  int? matchCount;
}
