import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/toplist_entity.g.dart';

@JsonSerializable()
class TopListEntity {
  TopListEntity();

  factory TopListEntity.fromJson(Map<String, dynamic> json) =>
      $TopListEntityFromJson(json);

  Map<String, dynamic> toJson() => $TopListEntityToJson(this);

  List<TopList>? lists;
}

@JsonSerializable()
class TopList {
  TopList();

  factory TopList.fromJson(Map<String, dynamic> json) => $TopListFromJson(json);

  Map<String, dynamic> toJson() => $TopListToJson(this);

  String? name;
  String? dec;
  String? headImage;
  String? money;
  String? userId;
  String? isAnchor;
  String? online;
  int? order;
  String? cared;
  String? userVipLevel;
  String? lastFreeVideoId;
  String? birthday;
}
