import 'dart:convert';

import 'package:mmoo_base/entity/user_sys_achieves_list_content_entity.dart';
import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_achieves_list_entity.g.dart';

@JsonSerializable()
class UserSysAchievesListEntity {
  List<UserSysAchievesListShowAchs>? achList;
  List<UserSysAchievesListShowAchs>? showAchs;
  List<UserSysAchievesListShowAchs>? honorList;

  UserSysAchievesListEntity();

  factory UserSysAchievesListEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievesListEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievesListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysAchievesListShowAchs {
  String? icon;
  String? iconJson;
  String? name;
  int? serialNum;
  int? sort;
  int? times;
  String? type;
  String? desc;
  int? level;
  UserSysAchievesListContentEntity? content;
  List<UserSysAchievesListShowAchs>? achList;

  UserSysAchievesListShowAchs();

  factory UserSysAchievesListShowAchs.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievesListShowAchsFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievesListShowAchsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
