import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_header_list_entity.g.dart';

@JsonSerializable()
class UserSysHeaderListEntity {
  int? headFrameId;
  List<UserSysHeaderListHeadFrames>? headFrames;

  UserSysHeaderListEntity();

  factory UserSysHeaderListEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysHeaderListEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysHeaderListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysHeaderListHeadFrames {
  int? coins;
  String? desc;
  int? headFrameId;
  String? icon;
  String? iconJson;
  int? isUnlock;
  String? name;
  int? price;
  int? status;
  int? times;

  UserSysHeaderListHeadFrames();

  factory UserSysHeaderListHeadFrames.fromJson(Map<String, dynamic> json) =>
      $UserSysHeaderListHeadFramesFromJson(json);

  Map<String, dynamic> toJson() => $UserSysHeaderListHeadFramesToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
