import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/video_entity.g.dart';

@JsonSerializable()
class VideoEntity {
  VideoEntity();

  factory VideoEntity.fromJson(Map<String, dynamic> json) =>
      $VideoEntityFromJson(json);

  Map<String, dynamic> toJson() => $VideoEntityToJson(this);

  List<VideoBean>? playInfoList;
}

@JsonSerializable()
class VideoBean {
  VideoBean();

  factory VideoBean.fromJson(Map<String, dynamic> json) =>
      $VideoBeanFromJson(json);

  Map<String, dynamic> toJson() => $VideoBeanToJson(this);

  String? playURL;
  String? format;
  int? width;
  int? height;
}
