import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/admob_config_entity.dart';

AdmobConfigEntity $AdmobConfigEntityFromJson(Map<String, dynamic> json) {
	final AdmobConfigEntity admobConfigEntity = AdmobConfigEntity();
	final String? maxTime = jsonConvert.convert<String>(json['maxTime']);
	if (maxTime != null) {
		admobConfigEntity.maxTime = maxTime;
	}
	final String? nowTime = jsonConvert.convert<String>(json['nowTime']);
	if (nowTime != null) {
		admobConfigEntity.nowTime = nowTime;
	}
	final String? rewardCoin = jsonConvert.convert<String>(json['rewardCoin']);
	if (rewardCoin != null) {
		admobConfigEntity.rewardCoin = rewardCoin;
	}
	final String? openAd = jsonConvert.convert<String>(json['openAd']);
	if (openAd != null) {
		admobConfigEntity.openAd = openAd;
	}
	return admobConfigEntity;
}

Map<String, dynamic> $AdmobConfigEntityToJson(AdmobConfigEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['maxTime'] = entity.maxTime;
	data['nowTime'] = entity.nowTime;
	data['rewardCoin'] = entity.rewardCoin;
	data['openAd'] = entity.openAd;
	return data;
}