import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/anchor_entity.dart';

AnchorEntity $AnchorEntityFromJson(Map<String, dynamic> json) {
	final AnchorEntity anchorEntity = AnchorEntity();
	final List<AnchorGift>? gift = jsonConvert.convertListNotNull<AnchorGift>(json['gift']);
	if (gift != null) {
		anchorEntity.gift = gift;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		anchorEntity.country = country;
	}
	final String? cost = jsonConvert.convert<String>(json['cost']);
	if (cost != null) {
		anchorEntity.cost = cost;
	}
	final String? signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		anchorEntity.signature = signature;
	}
	final List<AnchorLabelNum>? labelNum = jsonConvert.convertListNotNull<AnchorLabelNum>(json['labelNum']);
	if (labelNum != null) {
		anchorEntity.labelNum = labelNum;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		anchorEntity.headImage = headImage;
	}
	final List<String>? language = jsonConvert.convertListNotNull<String>(json['language']);
	if (language != null) {
		anchorEntity.language = language;
	}
	final List<AnchorPic>? pic = jsonConvert.convertListNotNull<AnchorPic>(json['pic']);
	if (pic != null) {
		anchorEntity.pic = pic;
	}
	final List<AnchorEntityAchieves>? achieves = jsonConvert.convertListNotNull<AnchorEntityAchieves>(json['achieves']);
	if (achieves != null) {
		anchorEntity.achieves = achieves;
	}
	final String? down = jsonConvert.convert<String>(json['down']);
	if (down != null) {
		anchorEntity.down = down;
	}
	final String? answerRate = jsonConvert.convert<String>(json['answerRate']);
	if (answerRate != null) {
		anchorEntity.answerRate = answerRate;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		anchorEntity.nickname = nickname;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		anchorEntity.online = online;
	}
	final String? isCare = jsonConvert.convert<String>(json['isCare']);
	if (isCare != null) {
		anchorEntity.isCare = isCare;
	}
	final String? shareUrl = jsonConvert.convert<String>(json['shareUrl']);
	if (shareUrl != null) {
		anchorEntity.shareUrl = shareUrl;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		anchorEntity.id = id;
	}
	final String? up = jsonConvert.convert<String>(json['up']);
	if (up != null) {
		anchorEntity.up = up;
	}
	final String? age = jsonConvert.convert<String>(json['age']);
	if (age != null) {
		anchorEntity.age = age;
	}
	final String? birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		anchorEntity.birthday = birthday;
	}
	final String? followNum = jsonConvert.convert<String>(json['followNum']);
	if (followNum != null) {
		anchorEntity.followNum = followNum;
	}
	final String? gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		anchorEntity.gender = gender;
	}
	final List<String>? anchorLabel = jsonConvert.convertListNotNull<String>(json['anchorLabel']);
	if (anchorLabel != null) {
		anchorEntity.anchorLabel = anchorLabel;
	}
	final String? videoId = jsonConvert.convert<String>(json['videoId']);
	if (videoId != null) {
		anchorEntity.videoId = videoId;
	}
	final String? videoPic = jsonConvert.convert<String>(json['videoPic']);
	if (videoPic != null) {
		anchorEntity.videoPic = videoPic;
	}
	final bool? localData = jsonConvert.convert<bool>(json['localData']);
	if (localData != null) {
		anchorEntity.localData = localData;
	}
	final int? sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		anchorEntity.sort = sort;
	}
	final int? ab = jsonConvert.convert<int>(json['ab']);
	if (ab != null) {
		anchorEntity.ab = ab;
	}
	final int? userVideoId = jsonConvert.convert<int>(json['userVideoId']);
	if (userVideoId != null) {
		anchorEntity.userVideoId = userVideoId;
	}
	final int? toy = jsonConvert.convert<int>(json['toy']);
	if (toy != null) {
		anchorEntity.toy = toy;
	}
	final int? toyCost = jsonConvert.convert<int>(json['toyCost']);
	if (toyCost != null) {
		anchorEntity.toyCost = toyCost;
	}
	return anchorEntity;
}

Map<String, dynamic> $AnchorEntityToJson(AnchorEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gift'] =  entity.gift?.map((v) => v.toJson()).toList();
	data['country'] = entity.country;
	data['cost'] = entity.cost;
	data['signature'] = entity.signature;
	data['labelNum'] =  entity.labelNum?.map((v) => v.toJson()).toList();
	data['headImage'] = entity.headImage;
	data['language'] =  entity.language;
	data['pic'] =  entity.pic?.map((v) => v.toJson()).toList();
	data['achieves'] =  entity.achieves?.map((v) => v.toJson()).toList();
	data['down'] = entity.down;
	data['answerRate'] = entity.answerRate;
	data['nickname'] = entity.nickname;
	data['online'] = entity.online;
	data['isCare'] = entity.isCare;
	data['shareUrl'] = entity.shareUrl;
	data['id'] = entity.id;
	data['up'] = entity.up;
	data['age'] = entity.age;
	data['birthday'] = entity.birthday;
	data['followNum'] = entity.followNum;
	data['gender'] = entity.gender;
	data['anchorLabel'] =  entity.anchorLabel;
	data['videoId'] = entity.videoId;
	data['videoPic'] = entity.videoPic;
	data['localData'] = entity.localData;
	data['sort'] = entity.sort;
	data['ab'] = entity.ab;
	data['userVideoId'] = entity.userVideoId;
	data['toy'] = entity.toy;
	data['toyCost'] = entity.toyCost;
	return data;
}

AnchorGift $AnchorGiftFromJson(Map<String, dynamic> json) {
	final AnchorGift anchorGift = AnchorGift();
	final String? num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		anchorGift.num = num;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		anchorGift.name = name;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		anchorGift.id = id;
	}
	final String? pic = jsonConvert.convert<String>(json['pic']);
	if (pic != null) {
		anchorGift.pic = pic;
	}
	final String? grayPic = jsonConvert.convert<String>(json['grayPic']);
	if (grayPic != null) {
		anchorGift.grayPic = grayPic;
	}
	return anchorGift;
}

Map<String, dynamic> $AnchorGiftToJson(AnchorGift entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['num'] = entity.num;
	data['name'] = entity.name;
	data['id'] = entity.id;
	data['pic'] = entity.pic;
	data['grayPic'] = entity.grayPic;
	return data;
}

AnchorLabelNum $AnchorLabelNumFromJson(Map<String, dynamic> json) {
	final AnchorLabelNum anchorLabelNum = AnchorLabelNum();
	final String? num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		anchorLabelNum.num = num;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		anchorLabelNum.type = type;
	}
	final String? value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		anchorLabelNum.value = value;
	}
	return anchorLabelNum;
}

Map<String, dynamic> $AnchorLabelNumToJson(AnchorLabelNum entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['num'] = entity.num;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

AnchorLabel $AnchorLabelFromJson(Map<String, dynamic> json) {
	final AnchorLabel anchorLabel = AnchorLabel();
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		anchorLabel.headImage = headImage;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		anchorLabel.name = name;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		anchorLabel.type = type;
	}
	final List<String>? value = jsonConvert.convertListNotNull<String>(json['value']);
	if (value != null) {
		anchorLabel.value = value;
	}
	return anchorLabel;
}

Map<String, dynamic> $AnchorLabelToJson(AnchorLabel entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['type'] = entity.type;
	data['value'] =  entity.value;
	return data;
}

AnchorPic $AnchorPicFromJson(Map<String, dynamic> json) {
	final AnchorPic anchorPic = AnchorPic();
	final String? cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		anchorPic.cover = cover;
	}
	final String? picId = jsonConvert.convert<String>(json['picId']);
	if (picId != null) {
		anchorPic.picId = picId;
	}
	final String? url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		anchorPic.url = url;
	}
	return anchorPic;
}

Map<String, dynamic> $AnchorPicToJson(AnchorPic entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['cover'] = entity.cover;
	data['picId'] = entity.picId;
	data['url'] = entity.url;
	return data;
}

AnchorEntityAchieves $AnchorEntityAchievesFromJson(Map<String, dynamic> json) {
	final AnchorEntityAchieves anchorEntityAchieves = AnchorEntityAchieves();
	final int? serialNum = jsonConvert.convert<int>(json['serialNum']);
	if (serialNum != null) {
		anchorEntityAchieves.serialNum = serialNum;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		anchorEntityAchieves.name = name;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		anchorEntityAchieves.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		anchorEntityAchieves.iconJson = iconJson;
	}
	return anchorEntityAchieves;
}

Map<String, dynamic> $AnchorEntityAchievesToJson(AnchorEntityAchieves entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['serialNum'] = entity.serialNum;
	data['name'] = entity.name;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	return data;
}