import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/care_entity.dart';

CareEntity $CareEntityFromJson(Map<String, dynamic> json) {
	final CareEntity careEntity = CareEntity();
	final List<CareList>? list = jsonConvert.convertListNotNull<CareList>(json['list']);
	if (list != null) {
		careEntity.list = list;
	}
	return careEntity;
}

Map<String, dynamic> $CareEntityToJson(CareEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

CareList $CareListFromJson(Map<String, dynamic> json) {
	final CareList careList = CareList();
	final String? flowerEach = jsonConvert.convert<String>(json['flowerEach']);
	if (flowerEach != null) {
		careList.flowerEach = flowerEach;
	}
	final String? price = jsonConvert.convert<String>(json['price']);
	if (price != null) {
		careList.price = price;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		careList.headImage = headImage;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		careList.name = name;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		careList.online = online;
	}
	final String? isUser = jsonConvert.convert<String>(json['isUser']);
	if (isUser != null) {
		careList.isUser = isUser;
	}
	final String? userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		careList.userId = userId;
	}
	final String? desc = jsonConvert.convert<String>(json['desc']);
	if (desc != null) {
		careList.desc = desc;
	}
	final String? birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		careList.birthday = birthday;
	}
	final int? isCare = jsonConvert.convert<int>(json['isCare']);
	if (isCare != null) {
		careList.isCare = isCare;
	}
	return careList;
}

Map<String, dynamic> $CareListToJson(CareList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['flowerEach'] = entity.flowerEach;
	data['price'] = entity.price;
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['online'] = entity.online;
	data['isUser'] = entity.isUser;
	data['userId'] = entity.userId;
	data['desc'] = entity.desc;
	data['birthday'] = entity.birthday;
	data['isCare'] = entity.isCare;
	return data;
}