import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/history_call_entity.dart';

HistoryCallEntity $HistoryCallEntityFromJson(Map<String, dynamic> json) {
	final HistoryCallEntity historyCallEntity = HistoryCallEntity();
	final List<HistoryCallList>? list = jsonConvert.convertListNotNull<HistoryCallList>(json['list']);
	if (list != null) {
		historyCallEntity.list = list;
	}
	return historyCallEntity;
}

Map<String, dynamic> $HistoryCallEntityToJson(HistoryCallEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

HistoryCallList $HistoryCallListFromJson(Map<String, dynamic> json) {
	final HistoryCallList historyCallList = HistoryCallList();
	final String? duration = jsonConvert.convert<String>(json['duration']);
	if (duration != null) {
		historyCallList.duration = duration;
	}
	final String? isAnchor = jsonConvert.convert<String>(json['isAnchor']);
	if (isAnchor != null) {
		historyCallList.isAnchor = isAnchor;
	}
	final String? nickName = jsonConvert.convert<String>(json['nickName']);
	if (nickName != null) {
		historyCallList.nickName = nickName;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		historyCallList.id = id;
	}
	final String? time = jsonConvert.convert<String>(json['time']);
	if (time != null) {
		historyCallList.time = time;
	}
	final String? headPic = jsonConvert.convert<String>(json['headPic']);
	if (headPic != null) {
		historyCallList.headPic = headPic;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		historyCallList.country = country;
	}
	final String? birth = jsonConvert.convert<String>(json['birth']);
	if (birth != null) {
		historyCallList.birth = birth;
	}
	final String? gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		historyCallList.gender = gender;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		historyCallList.type = type;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		historyCallList.online = online;
	}
	return historyCallList;
}

Map<String, dynamic> $HistoryCallListToJson(HistoryCallList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['duration'] = entity.duration;
	data['isAnchor'] = entity.isAnchor;
	data['nickName'] = entity.nickName;
	data['id'] = entity.id;
	data['time'] = entity.time;
	data['headPic'] = entity.headPic;
	data['country'] = entity.country;
	data['birth'] = entity.birth;
	data['gender'] = entity.gender;
	data['type'] = entity.type;
	data['online'] = entity.online;
	return data;
}