import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/language_entity.dart';

LanguageEntity $LanguageEntityFromJson(Map<String, dynamic> json) {
	final LanguageEntity languageEntity = LanguageEntity();
	final List<LanguageLists>? lists = jsonConvert.convertListNotNull<LanguageLists>(json['lists']);
	if (lists != null) {
		languageEntity.lists = lists;
	}
	return languageEntity;
}

Map<String, dynamic> $LanguageEntityToJson(LanguageEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['lists'] =  entity.lists?.map((v) => v.toJson()).toList();
	return data;
}

LanguageLists $LanguageListsFromJson(Map<String, dynamic> json) {
	final LanguageLists languageLists = LanguageLists();
	final int? id = jsonConvert.convert<int>(json['id']);
	if (id != null) {
		languageLists.id = id;
	}
	final String? value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		languageLists.value = value;
	}
	final String? code = jsonConvert.convert<String>(json['code']);
	if (code != null) {
		languageLists.code = code;
	}
	return languageLists;
}

Map<String, dynamic> $LanguageListsToJson(LanguageLists entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['value'] = entity.value;
	data['code'] = entity.code;
	return data;
}