import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/level_sys_point_info_entity.dart';

LevelSysPointInfoEntity $LevelSysPointInfoEntityFromJson(Map<String, dynamic> json) {
	final LevelSysPointInfoEntity levelSysPointInfoEntity = LevelSysPointInfoEntity();
	final int? balanceNum = jsonConvert.convert<int>(json['balanceNum']);
	if (balanceNum != null) {
		levelSysPointInfoEntity.balanceNum = balanceNum;
	}
	final List<LevelSysPointInfoExchangeList>? exchangeList = jsonConvert.convertListNotNull<LevelSysPointInfoExchangeList>(json['exchangeList']);
	if (exchangeList != null) {
		levelSysPointInfoEntity.exchangeList = exchangeList;
	}
	final int? lotteryNum = jsonConvert.convert<int>(json['lotteryNum']);
	if (lotteryNum != null) {
		levelSysPointInfoEntity.lotteryNum = lotteryNum;
	}
	final List<LevelSysPointInfoLuckyMsg>? luckyMsg = jsonConvert.convertListNotNull<LevelSysPointInfoLuckyMsg>(json['luckyMsg']);
	if (luckyMsg != null) {
		levelSysPointInfoEntity.luckyMsg = luckyMsg;
	}
	final int? wilExpireNum = jsonConvert.convert<int>(json['wilExpireNum']);
	if (wilExpireNum != null) {
		levelSysPointInfoEntity.wilExpireNum = wilExpireNum;
	}
	return levelSysPointInfoEntity;
}

Map<String, dynamic> $LevelSysPointInfoEntityToJson(LevelSysPointInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['balanceNum'] = entity.balanceNum;
	data['exchangeList'] =  entity.exchangeList?.map((v) => v.toJson()).toList();
	data['lotteryNum'] = entity.lotteryNum;
	data['luckyMsg'] =  entity.luckyMsg?.map((v) => v.toJson()).toList();
	data['wilExpireNum'] = entity.wilExpireNum;
	return data;
}

LevelSysPointInfoExchangeList $LevelSysPointInfoExchangeListFromJson(Map<String, dynamic> json) {
	final LevelSysPointInfoExchangeList levelSysPointInfoExchangeList = LevelSysPointInfoExchangeList();
	final int? canExchange = jsonConvert.convert<int>(json['canExchange']);
	if (canExchange != null) {
		levelSysPointInfoExchangeList.canExchange = canExchange;
	}
	final int? convertId = jsonConvert.convert<int>(json['convertId']);
	if (convertId != null) {
		levelSysPointInfoExchangeList.convertId = convertId;
	}
	final String? award = jsonConvert.convert<String>(json['award']);
	if (award != null) {
		levelSysPointInfoExchangeList.award = award;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		levelSysPointInfoExchangeList.icon = icon;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		levelSysPointInfoExchangeList.name = name;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		levelSysPointInfoExchangeList.num = num;
	}
	final int? spendNum = jsonConvert.convert<int>(json['spendNum']);
	if (spendNum != null) {
		levelSysPointInfoExchangeList.spendNum = spendNum;
	}
	return levelSysPointInfoExchangeList;
}

Map<String, dynamic> $LevelSysPointInfoExchangeListToJson(LevelSysPointInfoExchangeList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['canExchange'] = entity.canExchange;
	data['convertId'] = entity.convertId;
	data['award'] = entity.award;
	data['icon'] = entity.icon;
	data['name'] = entity.name;
	data['num'] = entity.num;
	data['spendNum'] = entity.spendNum;
	return data;
}

LevelSysPointInfoLuckyMsg $LevelSysPointInfoLuckyMsgFromJson(Map<String, dynamic> json) {
	final LevelSysPointInfoLuckyMsg levelSysPointInfoLuckyMsg = LevelSysPointInfoLuckyMsg();
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		levelSysPointInfoLuckyMsg.image = image;
	}
	final String? msg = jsonConvert.convert<String>(json['msg']);
	if (msg != null) {
		levelSysPointInfoLuckyMsg.msg = msg;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		levelSysPointInfoLuckyMsg.name = name;
	}
	return levelSysPointInfoLuckyMsg;
}

Map<String, dynamic> $LevelSysPointInfoLuckyMsgToJson(LevelSysPointInfoLuckyMsg entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['image'] = entity.image;
	data['msg'] = entity.msg;
	data['name'] = entity.name;
	return data;
}