import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/live_list_entity.dart';

LiveListEntity $LiveListEntityFromJson(Map<String, dynamic> json) {
	final LiveListEntity liveListEntity = LiveListEntity();
	final List<LiveAnchor>? list = jsonConvert.convertListNotNull<LiveAnchor>(json['list']);
	if (list != null) {
		liveListEntity.list = list;
	}
	return liveListEntity;
}

Map<String, dynamic> $LiveListEntityToJson(LiveListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

LiveAnchor $LiveAnchorFromJson(Map<String, dynamic> json) {
	final LiveAnchor liveAnchor = LiveAnchor();
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		liveAnchor.nickname = nickname;
	}
	final String? userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		liveAnchor.userId = userId;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		liveAnchor.online = online;
	}
	final String? pic = jsonConvert.convert<String>(json['pic']);
	if (pic != null) {
		liveAnchor.pic = pic;
	}
	final String? birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		liveAnchor.birthday = birthday;
	}
	final String? gender = jsonConvert.convert<String>(json['gender']);
	if (gender != null) {
		liveAnchor.gender = gender;
	}
	final String? signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		liveAnchor.signature = signature;
	}
	final bool? check = jsonConvert.convert<bool>(json['check']);
	if (check != null) {
		liveAnchor.check = check;
	}
	return liveAnchor;
}

Map<String, dynamic> $LiveAnchorToJson(LiveAnchor entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['nickname'] = entity.nickname;
	data['userId'] = entity.userId;
	data['online'] = entity.online;
	data['pic'] = entity.pic;
	data['birthday'] = entity.birthday;
	data['gender'] = entity.gender;
	data['signature'] = entity.signature;
	data['check'] = entity.check;
	return data;
}