import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/live_lists_info_entity.dart';

LiveListsInfoEntity $LiveListsInfoEntityFromJson(Map<String, dynamic> json) {
	final LiveListsInfoEntity liveListsInfoEntity = LiveListsInfoEntity();
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		liveListsInfoEntity.num = num;
	}
	final List<LiveListsInfoRows>? rows = jsonConvert.convertListNotNull<LiveListsInfoRows>(json['rows']);
	if (rows != null) {
		liveListsInfoEntity.rows = rows;
	}
	final int? size = jsonConvert.convert<int>(json['size']);
	if (size != null) {
		liveListsInfoEntity.size = size;
	}
	return liveListsInfoEntity;
}

Map<String, dynamic> $LiveListsInfoEntityToJson(LiveListsInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['num'] = entity.num;
	data['rows'] =  entity.rows?.map((v) => v.toJson()).toList();
	data['size'] = entity.size;
	return data;
}

LiveListsInfoRows $LiveListsInfoRowsFromJson(Map<String, dynamic> json) {
	final LiveListsInfoRows liveListsInfoRows = LiveListsInfoRows();
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		liveListsInfoRows.country = country;
	}
	final String? cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		liveListsInfoRows.cover = cover;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		liveListsInfoRows.headImage = headImage;
	}
	final int? isUnlock = jsonConvert.convert<int>(json['isUnlock']);
	if (isUnlock != null) {
		liveListsInfoRows.isUnlock = isUnlock;
	}
	final String? language = jsonConvert.convert<String>(json['language']);
	if (language != null) {
		liveListsInfoRows.language = language;
	}
	final int? liveId = jsonConvert.convert<int>(json['liveId']);
	if (liveId != null) {
		liveListsInfoRows.liveId = liveId;
	}
	final String? liveNotice = jsonConvert.convert<String>(json['liveNotice']);
	if (liveNotice != null) {
		liveListsInfoRows.liveNotice = liveNotice;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		liveListsInfoRows.nickname = nickname;
	}
	final int? onlineNums = jsonConvert.convert<int>(json['onlineNums']);
	if (onlineNums != null) {
		liveListsInfoRows.onlineNums = onlineNums;
	}
	final String? onlineStatus = jsonConvert.convert<String>(json['onlineStatus']);
	if (onlineStatus != null) {
		liveListsInfoRows.onlineStatus = onlineStatus;
	}
	final List<LiveListsInfoRowsPlaceList>? placeList = jsonConvert.convertListNotNull<LiveListsInfoRowsPlaceList>(json['placeList']);
	if (placeList != null) {
		liveListsInfoRows.placeList = placeList;
	}
	final int? price = jsonConvert.convert<int>(json['price']);
	if (price != null) {
		liveListsInfoRows.price = price;
	}
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		liveListsInfoRows.roomId = roomId;
	}
	final int? status = jsonConvert.convert<int>(json['status']);
	if (status != null) {
		liveListsInfoRows.status = status;
	}
	final int? subNums = jsonConvert.convert<int>(json['subNums']);
	if (subNums != null) {
		liveListsInfoRows.subNums = subNums;
	}
	final int? telFlag = jsonConvert.convert<int>(json['telFlag']);
	if (telFlag != null) {
		liveListsInfoRows.telFlag = telFlag;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		liveListsInfoRows.title = title;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		liveListsInfoRows.type = type;
	}
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		liveListsInfoRows.userId = userId;
	}
	return liveListsInfoRows;
}

Map<String, dynamic> $LiveListsInfoRowsToJson(LiveListsInfoRows entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['country'] = entity.country;
	data['cover'] = entity.cover;
	data['headImage'] = entity.headImage;
	data['isUnlock'] = entity.isUnlock;
	data['language'] = entity.language;
	data['liveId'] = entity.liveId;
	data['liveNotice'] = entity.liveNotice;
	data['nickname'] = entity.nickname;
	data['onlineNums'] = entity.onlineNums;
	data['onlineStatus'] = entity.onlineStatus;
	data['placeList'] =  entity.placeList?.map((v) => v.toJson()).toList();
	data['price'] = entity.price;
	data['roomId'] = entity.roomId;
	data['status'] = entity.status;
	data['subNums'] = entity.subNums;
	data['telFlag'] = entity.telFlag;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['userId'] = entity.userId;
	return data;
}

LiveListsInfoRowsPlaceList $LiveListsInfoRowsPlaceListFromJson(Map<String, dynamic> json) {
	final LiveListsInfoRowsPlaceList liveListsInfoRowsPlaceList = LiveListsInfoRowsPlaceList();
	final int? chat = jsonConvert.convert<int>(json['chat']);
	if (chat != null) {
		liveListsInfoRowsPlaceList.chat = chat;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		liveListsInfoRowsPlaceList.country = country;
	}
	final int? follow = jsonConvert.convert<int>(json['follow']);
	if (follow != null) {
		liveListsInfoRowsPlaceList.follow = follow;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		liveListsInfoRowsPlaceList.headImage = headImage;
	}
	final int? isHost = jsonConvert.convert<int>(json['isHost']);
	if (isHost != null) {
		liveListsInfoRowsPlaceList.isHost = isHost;
	}
	final int? liveId = jsonConvert.convert<int>(json['liveId']);
	if (liveId != null) {
		liveListsInfoRowsPlaceList.liveId = liveId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		liveListsInfoRowsPlaceList.nickname = nickname;
	}
	final int? role = jsonConvert.convert<int>(json['role']);
	if (role != null) {
		liveListsInfoRowsPlaceList.role = role;
	}
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		liveListsInfoRowsPlaceList.roomId = roomId;
	}
	final int? roomPlaceId = jsonConvert.convert<int>(json['roomPlaceId']);
	if (roomPlaceId != null) {
		liveListsInfoRowsPlaceList.roomPlaceId = roomPlaceId;
	}
	final int? roomUserId = jsonConvert.convert<int>(json['roomUserId']);
	if (roomUserId != null) {
		liveListsInfoRowsPlaceList.roomUserId = roomUserId;
	}
	final int? roomUserStatus = jsonConvert.convert<int>(json['roomUserStatus']);
	if (roomUserStatus != null) {
		liveListsInfoRowsPlaceList.roomUserStatus = roomUserStatus;
	}
	final int? status = jsonConvert.convert<int>(json['status']);
	if (status != null) {
		liveListsInfoRowsPlaceList.status = status;
	}
	final int? streamSeq = jsonConvert.convert<int>(json['streamSeq']);
	if (streamSeq != null) {
		liveListsInfoRowsPlaceList.streamSeq = streamSeq;
	}
	final int? telSeq = jsonConvert.convert<int>(json['telSeq']);
	if (telSeq != null) {
		liveListsInfoRowsPlaceList.telSeq = telSeq;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		liveListsInfoRowsPlaceList.title = title;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		liveListsInfoRowsPlaceList.type = type;
	}
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		liveListsInfoRowsPlaceList.userId = userId;
	}
	final int? visitNum = jsonConvert.convert<int>(json['visitNum']);
	if (visitNum != null) {
		liveListsInfoRowsPlaceList.visitNum = visitNum;
	}
	final int? voice = jsonConvert.convert<int>(json['voice']);
	if (voice != null) {
		liveListsInfoRowsPlaceList.voice = voice;
	}
	return liveListsInfoRowsPlaceList;
}

Map<String, dynamic> $LiveListsInfoRowsPlaceListToJson(LiveListsInfoRowsPlaceList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['chat'] = entity.chat;
	data['country'] = entity.country;
	data['follow'] = entity.follow;
	data['headImage'] = entity.headImage;
	data['isHost'] = entity.isHost;
	data['liveId'] = entity.liveId;
	data['nickname'] = entity.nickname;
	data['role'] = entity.role;
	data['roomId'] = entity.roomId;
	data['roomPlaceId'] = entity.roomPlaceId;
	data['roomUserId'] = entity.roomUserId;
	data['roomUserStatus'] = entity.roomUserStatus;
	data['status'] = entity.status;
	data['streamSeq'] = entity.streamSeq;
	data['telSeq'] = entity.telSeq;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['userId'] = entity.userId;
	data['visitNum'] = entity.visitNum;
	data['voice'] = entity.voice;
	return data;
}