import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/match_entity.dart';

MatchEntity $MatchEntityFromJson(Map<String, dynamic> json) {
	final MatchEntity matchEntity = MatchEntity();
	final String? age = jsonConvert.convert<String>(json['age']);
	if (age != null) {
		matchEntity.age = age;
	}
	final String? callCost = jsonConvert.convert<String>(json['callCost']);
	if (callCost != null) {
		matchEntity.callCost = callCost;
	}
	final String? callCostUserId = jsonConvert.convert<String>(json['callCostUserId']);
	if (callCostUserId != null) {
		matchEntity.callCostUserId = callCostUserId;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		matchEntity.headImage = headImage;
	}
	final String? houseId = jsonConvert.convert<String>(json['houseId']);
	if (houseId != null) {
		matchEntity.houseId = houseId;
	}
	final List<MatchCostUser>? matchCostUserId = jsonConvert.convertListNotNull<MatchCostUser>(json['matchCostUserId']);
	if (matchCostUserId != null) {
		matchEntity.matchCostUserId = matchCostUserId;
	}
	final String? matched = jsonConvert.convert<String>(json['matched']);
	if (matched != null) {
		matchEntity.matched = matched;
	}
	final String? matchedAnchor = jsonConvert.convert<String>(json['matchedAnchor']);
	if (matchedAnchor != null) {
		matchEntity.matchedAnchor = matchedAnchor;
	}
	final String? nickName = jsonConvert.convert<String>(json['nickName']);
	if (nickName != null) {
		matchEntity.nickName = nickName;
	}
	final String? userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		matchEntity.userId = userId;
	}
	final String? matchTime = jsonConvert.convert<String>(json['matchTime']);
	if (matchTime != null) {
		matchEntity.matchTime = matchTime;
	}
	return matchEntity;
}

Map<String, dynamic> $MatchEntityToJson(MatchEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['age'] = entity.age;
	data['callCost'] = entity.callCost;
	data['callCostUserId'] = entity.callCostUserId;
	data['headImage'] = entity.headImage;
	data['houseId'] = entity.houseId;
	data['matchCostUserId'] =  entity.matchCostUserId?.map((v) => v.toJson()).toList();
	data['matched'] = entity.matched;
	data['matchedAnchor'] = entity.matchedAnchor;
	data['nickName'] = entity.nickName;
	data['userId'] = entity.userId;
	data['matchTime'] = entity.matchTime;
	return data;
}

MatchCostUser $MatchCostUserFromJson(Map<String, dynamic> json) {
	final MatchCostUser matchCostUser = MatchCostUser();
	final String? cost = jsonConvert.convert<String>(json['cost']);
	if (cost != null) {
		matchCostUser.cost = cost;
	}
	final String? userId = jsonConvert.convert<String>(json['userId']);
	if (userId != null) {
		matchCostUser.userId = userId;
	}
	return matchCostUser;
}

Map<String, dynamic> $MatchCostUserToJson(MatchCostUser entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['cost'] = entity.cost;
	data['userId'] = entity.userId;
	return data;
}