import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/mian_list_entity.dart';

MainListEntity $MainListEntityFromJson(Map<String, dynamic> json) {
	final MainListEntity mainListEntity = MainListEntity();
	final List<ListAnchor>? rows = jsonConvert.convertListNotNull<ListAnchor>(json['rows']);
	if (rows != null) {
		mainListEntity.rows = rows;
	}
	final int? size = jsonConvert.convert<int>(json['size']);
	if (size != null) {
		mainListEntity.size = size;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		mainListEntity.num = num;
	}
	return mainListEntity;
}

Map<String, dynamic> $MainListEntityToJson(MainListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['rows'] =  entity.rows?.map((v) => v.toJson()).toList();
	data['size'] = entity.size;
	data['num'] = entity.num;
	return data;
}

ListAnchor $ListAnchorFromJson(Map<String, dynamic> json) {
	final ListAnchor listAnchor = ListAnchor();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		listAnchor.userId = userId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		listAnchor.nickname = nickname;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		listAnchor.country = country;
	}
	final String? birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		listAnchor.birthday = birthday;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		listAnchor.headImage = headImage;
	}
	final int? gender = jsonConvert.convert<int>(json['gender']);
	if (gender != null) {
		listAnchor.gender = gender;
	}
	final int? online = jsonConvert.convert<int>(json['online']);
	if (online != null) {
		listAnchor.online = online;
	}
	final int? haveVideo = jsonConvert.convert<int>(json['haveVideo']);
	if (haveVideo != null) {
		listAnchor.haveVideo = haveVideo;
	}
	final int? cost = jsonConvert.convert<int>(json['cost']);
	if (cost != null) {
		listAnchor.cost = cost;
	}
	final int? isAnchor = jsonConvert.convert<int>(json['isAnchor']);
	if (isAnchor != null) {
		listAnchor.isAnchor = isAnchor;
	}
	final int? isCare = jsonConvert.convert<int>(json['isCare']);
	if (isCare != null) {
		listAnchor.isCare = isCare;
	}
	final int? haveFreeVideo = jsonConvert.convert<int>(json['haveFreeVideo']);
	if (haveFreeVideo != null) {
		listAnchor.haveFreeVideo = haveFreeVideo;
	}
	final int? sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		listAnchor.sort = sort;
	}
	final int? userVideoId = jsonConvert.convert<int>(json['userVideoId']);
	if (userVideoId != null) {
		listAnchor.userVideoId = userVideoId;
	}
	final int? liveStatus = jsonConvert.convert<int>(json['liveStatus']);
	if (liveStatus != null) {
		listAnchor.liveStatus = liveStatus;
	}
	final int? toy = jsonConvert.convert<int>(json['toy']);
	if (toy != null) {
		listAnchor.toy = toy;
	}
	final int? toyCost = jsonConvert.convert<int>(json['toyCost']);
	if (toyCost != null) {
		listAnchor.toyCost = toyCost;
	}
	return listAnchor;
}

Map<String, dynamic> $ListAnchorToJson(ListAnchor entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['country'] = entity.country;
	data['birthday'] = entity.birthday;
	data['headImage'] = entity.headImage;
	data['gender'] = entity.gender;
	data['online'] = entity.online;
	data['haveVideo'] = entity.haveVideo;
	data['cost'] = entity.cost;
	data['isAnchor'] = entity.isAnchor;
	data['isCare'] = entity.isCare;
	data['haveFreeVideo'] = entity.haveFreeVideo;
	data['sort'] = entity.sort;
	data['userVideoId'] = entity.userVideoId;
	data['liveStatus'] = entity.liveStatus;
	data['toy'] = entity.toy;
	data['toyCost'] = entity.toyCost;
	return data;
}