import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/task_sys_user_info_entity.dart';

TaskSysUserInfoEntity $TaskSysUserInfoEntityFromJson(Map<String, dynamic> json) {
	final TaskSysUserInfoEntity taskSysUserInfoEntity = TaskSysUserInfoEntity();
	final List<TaskSysUserInfoDailyTask>? dailyTask = jsonConvert.convertListNotNull<TaskSysUserInfoDailyTask>(json['dailyTask']);
	if (dailyTask != null) {
		taskSysUserInfoEntity.dailyTask = dailyTask;
	}
	final List<TaskSysUserInfoDailyTask>? newcomerTask = jsonConvert.convertListNotNull<TaskSysUserInfoDailyTask>(json['newcomerTask']);
	if (newcomerTask != null) {
		taskSysUserInfoEntity.newcomerTask = newcomerTask;
	}
	final int? seconds = jsonConvert.convert<int>(json['seconds']);
	if (seconds != null) {
		taskSysUserInfoEntity.seconds = seconds;
	}
	return taskSysUserInfoEntity;
}

Map<String, dynamic> $TaskSysUserInfoEntityToJson(TaskSysUserInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['dailyTask'] =  entity.dailyTask?.map((v) => v.toJson()).toList();
	data['newcomerTask'] =  entity.newcomerTask?.map((v) => v.toJson()).toList();
	data['seconds'] = entity.seconds;
	return data;
}

TaskSysUserInfoDailyTask $TaskSysUserInfoDailyTaskFromJson(Map<String, dynamic> json) {
	final TaskSysUserInfoDailyTask taskSysUserInfoDailyTask = TaskSysUserInfoDailyTask();
	final List<TaskSysUserInfoDailyTask>? awards = jsonConvert.convertListNotNull<TaskSysUserInfoDailyTask>(json['awards']);
	if (awards != null) {
		taskSysUserInfoDailyTask.awards = awards;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		taskSysUserInfoDailyTask.icon = icon;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		taskSysUserInfoDailyTask.name = name;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		taskSysUserInfoDailyTask.num = num;
	}
	final int? status = jsonConvert.convert<int>(json['status']);
	if (status != null) {
		taskSysUserInfoDailyTask.status = status;
	}
	final int? taskId = jsonConvert.convert<int>(json['taskId']);
	if (taskId != null) {
		taskSysUserInfoDailyTask.taskId = taskId;
	}
	return taskSysUserInfoDailyTask;
}

Map<String, dynamic> $TaskSysUserInfoDailyTaskToJson(TaskSysUserInfoDailyTask entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['awards'] =  entity.awards?.map((v) => v.toJson()).toList();
	data['icon'] = entity.icon;
	data['name'] = entity.name;
	data['num'] = entity.num;
	data['status'] = entity.status;
	data['taskId'] = entity.taskId;
	return data;
}