import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/user_sys_achievement_entity.dart';

UserSysAchievementEntity $UserSysAchievementEntityFromJson(Map<String, dynamic> json) {
	final UserSysAchievementEntity userSysAchievementEntity = UserSysAchievementEntity();
	final List<UserSysAchievementAchieves>? achieves = jsonConvert.convertListNotNull<UserSysAchievementAchieves>(json['achieves']);
	if (achieves != null) {
		userSysAchievementEntity.achieves = achieves;
	}
	final UserSysAchievementHeadFrame? headFrame = jsonConvert.convert<UserSysAchievementHeadFrame>(json['headFrame']);
	if (headFrame != null) {
		userSysAchievementEntity.headFrame = headFrame;
	}
	final UserSysAchievementIncomeState? incomeState = jsonConvert.convert<UserSysAchievementIncomeState>(json['incomeState']);
	if (incomeState != null) {
		userSysAchievementEntity.incomeState = incomeState;
	}
	final UserSysAchievementLevel? level = jsonConvert.convert<UserSysAchievementLevel>(json['level']);
	if (level != null) {
		userSysAchievementEntity.level = level;
	}
	return userSysAchievementEntity;
}

Map<String, dynamic> $UserSysAchievementEntityToJson(UserSysAchievementEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['achieves'] =  entity.achieves?.map((v) => v.toJson()).toList();
	data['headFrame'] = entity.headFrame?.toJson();
	data['incomeState'] = entity.incomeState?.toJson();
	data['level'] = entity.level?.toJson();
	return data;
}

UserSysAchievementAchieves $UserSysAchievementAchievesFromJson(Map<String, dynamic> json) {
	final UserSysAchievementAchieves userSysAchievementAchieves = UserSysAchievementAchieves();
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		userSysAchievementAchieves.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		userSysAchievementAchieves.iconJson = iconJson;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userSysAchievementAchieves.name = name;
	}
	final int? serialNum = jsonConvert.convert<int>(json['serialNum']);
	if (serialNum != null) {
		userSysAchievementAchieves.serialNum = serialNum;
	}
	return userSysAchievementAchieves;
}

Map<String, dynamic> $UserSysAchievementAchievesToJson(UserSysAchievementAchieves entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	data['name'] = entity.name;
	data['serialNum'] = entity.serialNum;
	return data;
}

UserSysAchievementHeadFrame $UserSysAchievementHeadFrameFromJson(Map<String, dynamic> json) {
	final UserSysAchievementHeadFrame userSysAchievementHeadFrame = UserSysAchievementHeadFrame();
	final int? headFrameId = jsonConvert.convert<int>(json['headFrameId']);
	if (headFrameId != null) {
		userSysAchievementHeadFrame.headFrameId = headFrameId;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		userSysAchievementHeadFrame.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		userSysAchievementHeadFrame.iconJson = iconJson;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userSysAchievementHeadFrame.name = name;
	}
	return userSysAchievementHeadFrame;
}

Map<String, dynamic> $UserSysAchievementHeadFrameToJson(UserSysAchievementHeadFrame entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headFrameId'] = entity.headFrameId;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	data['name'] = entity.name;
	return data;
}

UserSysAchievementIncomeState $UserSysAchievementIncomeStateFromJson(Map<String, dynamic> json) {
	final UserSysAchievementIncomeState userSysAchievementIncomeState = UserSysAchievementIncomeState();
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		userSysAchievementIncomeState.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		userSysAchievementIncomeState.iconJson = iconJson;
	}
	final int? incomeStateId = jsonConvert.convert<int>(json['incomeStateId']);
	if (incomeStateId != null) {
		userSysAchievementIncomeState.incomeStateId = incomeStateId;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userSysAchievementIncomeState.name = name;
	}
	return userSysAchievementIncomeState;
}

Map<String, dynamic> $UserSysAchievementIncomeStateToJson(UserSysAchievementIncomeState entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	data['incomeStateId'] = entity.incomeStateId;
	data['name'] = entity.name;
	return data;
}

UserSysAchievementLevel $UserSysAchievementLevelFromJson(Map<String, dynamic> json) {
	final UserSysAchievementLevel userSysAchievementLevel = UserSysAchievementLevel();
	final int? exp = jsonConvert.convert<int>(json['exp']);
	if (exp != null) {
		userSysAchievementLevel.exp = exp;
	}
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		userSysAchievementLevel.image = image;
	}
	final int? integral = jsonConvert.convert<int>(json['integral']);
	if (integral != null) {
		userSysAchievementLevel.integral = integral;
	}
	final int? level = jsonConvert.convert<int>(json['level']);
	if (level != null) {
		userSysAchievementLevel.level = level;
	}
	final int? maxExp = jsonConvert.convert<int>(json['maxExp']);
	if (maxExp != null) {
		userSysAchievementLevel.maxExp = maxExp;
	}
	return userSysAchievementLevel;
}

Map<String, dynamic> $UserSysAchievementLevelToJson(UserSysAchievementLevel entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['exp'] = entity.exp;
	data['image'] = entity.image;
	data['integral'] = entity.integral;
	data['level'] = entity.level;
	data['maxExp'] = entity.maxExp;
	return data;
}