import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/user_sys_achieves_list_entity.dart';
import 'package:mmoo_base/entity/user_sys_achieves_list_content_entity.dart';


UserSysAchievesListEntity $UserSysAchievesListEntityFromJson(Map<String, dynamic> json) {
	final UserSysAchievesListEntity userSysAchievesListEntity = UserSysAchievesListEntity();
	final List<UserSysAchievesListShowAchs>? achList = jsonConvert.convertListNotNull<UserSysAchievesListShowAchs>(json['achList']);
	if (achList != null) {
		userSysAchievesListEntity.achList = achList;
	}
	final List<UserSysAchievesListShowAchs>? showAchs = jsonConvert.convertListNotNull<UserSysAchievesListShowAchs>(json['showAchs']);
	if (showAchs != null) {
		userSysAchievesListEntity.showAchs = showAchs;
	}
	final List<UserSysAchievesListShowAchs>? honorList = jsonConvert.convertListNotNull<UserSysAchievesListShowAchs>(json['honorList']);
	if (honorList != null) {
		userSysAchievesListEntity.honorList = honorList;
	}
	return userSysAchievesListEntity;
}

Map<String, dynamic> $UserSysAchievesListEntityToJson(UserSysAchievesListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['achList'] =  entity.achList?.map((v) => v.toJson()).toList();
	data['showAchs'] =  entity.showAchs?.map((v) => v.toJson()).toList();
	data['honorList'] =  entity.honorList?.map((v) => v.toJson()).toList();
	return data;
}

UserSysAchievesListShowAchs $UserSysAchievesListShowAchsFromJson(Map<String, dynamic> json) {
	final UserSysAchievesListShowAchs userSysAchievesListShowAchs = UserSysAchievesListShowAchs();
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		userSysAchievesListShowAchs.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		userSysAchievesListShowAchs.iconJson = iconJson;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userSysAchievesListShowAchs.name = name;
	}
	final int? serialNum = jsonConvert.convert<int>(json['serialNum']);
	if (serialNum != null) {
		userSysAchievesListShowAchs.serialNum = serialNum;
	}
	final int? sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		userSysAchievesListShowAchs.sort = sort;
	}
	final int? times = jsonConvert.convert<int>(json['times']);
	if (times != null) {
		userSysAchievesListShowAchs.times = times;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		userSysAchievesListShowAchs.type = type;
	}
	final String? desc = jsonConvert.convert<String>(json['desc']);
	if (desc != null) {
		userSysAchievesListShowAchs.desc = desc;
	}
	final int? level = jsonConvert.convert<int>(json['level']);
	if (level != null) {
		userSysAchievesListShowAchs.level = level;
	}
	final UserSysAchievesListContentEntity? content = jsonConvert.convert<UserSysAchievesListContentEntity>(json['content']);
	if (content != null) {
		userSysAchievesListShowAchs.content = content;
	}
	final List<UserSysAchievesListShowAchs>? achList = jsonConvert.convertListNotNull<UserSysAchievesListShowAchs>(json['achList']);
	if (achList != null) {
		userSysAchievesListShowAchs.achList = achList;
	}
	return userSysAchievesListShowAchs;
}

Map<String, dynamic> $UserSysAchievesListShowAchsToJson(UserSysAchievesListShowAchs entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	data['name'] = entity.name;
	data['serialNum'] = entity.serialNum;
	data['sort'] = entity.sort;
	data['times'] = entity.times;
	data['type'] = entity.type;
	data['desc'] = entity.desc;
	data['level'] = entity.level;
	data['content'] = entity.content?.toJson();
	data['achList'] =  entity.achList?.map((v) => v.toJson()).toList();
	return data;
}