import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/user_sys_header_list_entity.dart';

UserSysHeaderListEntity $UserSysHeaderListEntityFromJson(Map<String, dynamic> json) {
	final UserSysHeaderListEntity userSysHeaderListEntity = UserSysHeaderListEntity();
	final int? headFrameId = jsonConvert.convert<int>(json['headFrameId']);
	if (headFrameId != null) {
		userSysHeaderListEntity.headFrameId = headFrameId;
	}
	final List<UserSysHeaderListHeadFrames>? headFrames = jsonConvert.convertListNotNull<UserSysHeaderListHeadFrames>(json['headFrames']);
	if (headFrames != null) {
		userSysHeaderListEntity.headFrames = headFrames;
	}
	return userSysHeaderListEntity;
}

Map<String, dynamic> $UserSysHeaderListEntityToJson(UserSysHeaderListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headFrameId'] = entity.headFrameId;
	data['headFrames'] =  entity.headFrames?.map((v) => v.toJson()).toList();
	return data;
}

UserSysHeaderListHeadFrames $UserSysHeaderListHeadFramesFromJson(Map<String, dynamic> json) {
	final UserSysHeaderListHeadFrames userSysHeaderListHeadFrames = UserSysHeaderListHeadFrames();
	final int? coins = jsonConvert.convert<int>(json['coins']);
	if (coins != null) {
		userSysHeaderListHeadFrames.coins = coins;
	}
	final String? desc = jsonConvert.convert<String>(json['desc']);
	if (desc != null) {
		userSysHeaderListHeadFrames.desc = desc;
	}
	final int? headFrameId = jsonConvert.convert<int>(json['headFrameId']);
	if (headFrameId != null) {
		userSysHeaderListHeadFrames.headFrameId = headFrameId;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		userSysHeaderListHeadFrames.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		userSysHeaderListHeadFrames.iconJson = iconJson;
	}
	final int? isUnlock = jsonConvert.convert<int>(json['isUnlock']);
	if (isUnlock != null) {
		userSysHeaderListHeadFrames.isUnlock = isUnlock;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		userSysHeaderListHeadFrames.name = name;
	}
	final int? price = jsonConvert.convert<int>(json['price']);
	if (price != null) {
		userSysHeaderListHeadFrames.price = price;
	}
	final int? status = jsonConvert.convert<int>(json['status']);
	if (status != null) {
		userSysHeaderListHeadFrames.status = status;
	}
	final int? times = jsonConvert.convert<int>(json['times']);
	if (times != null) {
		userSysHeaderListHeadFrames.times = times;
	}
	return userSysHeaderListHeadFrames;
}

Map<String, dynamic> $UserSysHeaderListHeadFramesToJson(UserSysHeaderListHeadFrames entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['coins'] = entity.coins;
	data['desc'] = entity.desc;
	data['headFrameId'] = entity.headFrameId;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	data['isUnlock'] = entity.isUnlock;
	data['name'] = entity.name;
	data['price'] = entity.price;
	data['status'] = entity.status;
	data['times'] = entity.times;
	return data;
}