import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/video_entity.dart';

VideoEntity $VideoEntityFromJson(Map<String, dynamic> json) {
	final VideoEntity videoEntity = VideoEntity();
	final List<VideoBean>? playInfoList = jsonConvert.convertListNotNull<VideoBean>(json['playInfoList']);
	if (playInfoList != null) {
		videoEntity.playInfoList = playInfoList;
	}
	return videoEntity;
}

Map<String, dynamic> $VideoEntityToJson(VideoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['playInfoList'] =  entity.playInfoList?.map((v) => v.toJson()).toList();
	return data;
}

VideoBean $VideoBeanFromJson(Map<String, dynamic> json) {
	final VideoBean videoBean = VideoBean();
	final String? playURL = jsonConvert.convert<String>(json['playURL']);
	if (playURL != null) {
		videoBean.playURL = playURL;
	}
	final String? format = jsonConvert.convert<String>(json['format']);
	if (format != null) {
		videoBean.format = format;
	}
	final int? width = jsonConvert.convert<int>(json['width']);
	if (width != null) {
		videoBean.width = width;
	}
	final int? height = jsonConvert.convert<int>(json['height']);
	if (height != null) {
		videoBean.height = height;
	}
	return videoBean;
}

Map<String, dynamic> $VideoBeanToJson(VideoBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['playURL'] = entity.playURL;
	data['format'] = entity.format;
	data['width'] = entity.width;
	data['height'] = entity.height;
	return data;
}