import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/now_house_list_entity.g.dart';
import 'package:mmoo_base/nowdao/now_house_entity.dart';

@JsonSerializable()
class NowHouseListEntity {
  List<NowHouseEntity>? lists;

  NowHouseListEntity();

  factory NowHouseListEntity.fromJson(Map<String, dynamic> json) =>
      $NowHouseListEntityFromJson(json);

  Map<String, dynamic> toJson() => $NowHouseListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
