import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/card_entity.g.dart';

@JsonSerializable()
class CardEntity {
  CardEntity();

  factory CardEntity.fromJson(Map<String, dynamic> json) =>
      $CardEntityFromJson(json);

  Map<String, dynamic> toJson() => $CardEntityToJson(this);

  //卡片
  String? cardNo;
  String? cardSecurityCode;

  //账单
  String? cardName;
  String? countryName;
  String? addressLine1;
  String? addressLine2;
  String? phoneCode;
  String? phone;
  String? year;
  String? stateName;

  String? billCountry;
  String? billFirstName;
  String? billLastName;
  String? billPhone;
  String? billEmail;
  String? billCity;
  String? billState;
  String? billZip;
  String? cardExpireMonth;
  String? cardExpireYear;

  //参数转换
  String? billAddress;
  String? orderAmount;
  String? orderCurrency;
}
