import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/care_entity.g.dart';

@JsonSerializable()
class CareEntity {
  CareEntity();

  factory CareEntity.fromJson(Map<String, dynamic> json) =>
      $CareEntityFromJson(json);

  Map<String, dynamic> toJson() => $CareEntityToJson(this);

  List<CareList>? list;
}

@JsonSerializable()
class CareList {
  CareList();

  factory CareList.fromJson(Map<String, dynamic> json) =>
      $CareListFromJson(json);

  Map<String, dynamic> toJson() => $CareListToJson(this);

  String? flowerEach;
  String? price;
  String? headImage;
  String? name;
  String? online;
  String? isUser;
  String? userId;
  String? desc;
  String? birthday;
  int isCare = 0;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
