import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/history_call_entity.g.dart';

@JsonSerializable()
class HistoryCallEntity {
  HistoryCallEntity();

  factory HistoryCallEntity.fromJson(Map<String, dynamic> json) =>
      $HistoryCallEntityFromJson(json);

  Map<String, dynamic> toJson() => $HistoryCallEntityToJson(this);

  List<HistoryCallList>? list;
}

@JsonSerializable()
class HistoryCallList {
  HistoryCallList();

  factory HistoryCallList.fromJson(Map<String, dynamic> json) =>
      $HistoryCallListFromJson(json);

  Map<String, dynamic> toJson() => $HistoryCallListToJson(this);

  String? duration;
  String? isAnchor;
  String? nickName;
  String? id;
  String? time;
  String? headPic;
  String? country;
  String? birth;
  String? gender;
  String? type;
  String? online;

  bool getTypeRed() {
    switch (type) {
      case '0':
      case '5':
      case '1':
      case '2':
        return true;
      default:
        return false;
    }
  }
}
