import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/language_entity.g.dart';

@JsonSerializable()
class LanguageEntity {
  LanguageEntity();

  factory LanguageEntity.fromJson(Map<String, dynamic> json) =>
      $LanguageEntityFromJson(json);

  Map<String, dynamic> toJson() => $LanguageEntityToJson(this);

  List<LanguageLists>? lists;
}

@JsonSerializable()
class LanguageLists {
  LanguageLists();

  factory LanguageLists.fromJson(Map<String, dynamic> json) =>
      $LanguageListsFromJson(json);

  Map<String, dynamic> toJson() => $LanguageListsToJson(this);

  int? id;
  String? value;
  String? code;
}
