import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/level_sys_collect_list_entity.g.dart';

@JsonSerializable()
class LevelSysCollectListEntity {
  List<LevelSysCollectListAwards>? awards;
  String? image;
  String? level;
  int? num;

  int? type;

  LevelSysCollectListEntity();

  factory LevelSysCollectListEntity.fromJson(Map<String, dynamic> json) =>
      $LevelSysCollectListEntityFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysCollectListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LevelSysCollectListAwards {
  String? awardType;
  String? image;
  String? type;
  int? num;
  String? name;
  int? targetId;

  LevelSysCollectListAwards();

  factory LevelSysCollectListAwards.fromJson(Map<String, dynamic> json) =>
      $LevelSysCollectListAwardsFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysCollectListAwardsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
