import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/level_sysy_show_im_entity.g.dart';

@JsonSerializable()
class LevelSysyShowImEntity {
  int? level;
  String? image;
  int? exp;
  int? maxExp;
  int? integral;

  LevelSysyShowImEntity();

  factory LevelSysyShowImEntity.fromJson(Map<String, dynamic> json) =>
      $LevelSysyShowImEntityFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysyShowImEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
