import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/live_list_entity.g.dart';

@JsonSerializable()
class LiveListEntity {
  LiveListEntity();

  factory LiveListEntity.fromJson(Map<String, dynamic> json) =>
      $LiveListEntityFromJson(json);

  Map<String, dynamic> toJson() => $LiveListEntityToJson(this);

  List<LiveAnchor>? list;
}

@JsonSerializable()
class LiveAnchor {
  LiveAnchor();

  factory LiveAnchor.fromJson(Map<String, dynamic> json) =>
      $LiveAnchorFromJson(json);

  Map<String, dynamic> toJson() => $LiveAnchorToJson(this);

  String? nickname;
  String? userId;
  String? online;
  String? pic;
  String? birthday;
  String? gender;
  String? signature;
  bool check = false; //翻牌后1s内不在线的设置选走状态

  String getAgeYear() {
    try {
      return '${DateTime.now().year - DateTime.parse(birthday!).year}yrs';
    } catch (e) {
      return '';
    }
  }
}
