import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/lucky_entity.g.dart';

@JsonSerializable()
class LuckyEntity {
  LuckyEntity();

  factory LuckyEntity.fromJson(Map<String, dynamic> json) =>
      $LuckyEntityFromJson(json);

  Map<String, dynamic> toJson() => $LuckyEntityToJson(this);

  List<LuckyModel>? model;
  String? num;
  String? flushTime;
  String? isLottery;
}

@JsonSerializable()
class LuckyModel {
  LuckyModel();

  factory LuckyModel.fromJson(Map<String, dynamic> json) =>
      $LuckyModelFromJson(json);

  Map<String, dynamic> toJson() => $LuckyModelToJson(this);

  String? giftUrl;
  String? lotteryId;
  String? num;
  String? sort;
  String? type;
  String? isSurprise;
}

@JsonSerializable()
class LuckyBean {
  LuckyBean();

  factory LuckyBean.fromJson(Map<String, dynamic> json) =>
      $LuckyBeanFromJson(json);

  Map<String, dynamic> toJson() => $LuckyBeanToJson(this);

  String? isLottery;
}
