import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/match_entity.g.dart';

@JsonSerializable()
class MatchEntity {
  MatchEntity();

  factory MatchEntity.fromJson(Map<String, dynamic> json) =>
      $MatchEntityFromJson(json);

  Map<String, dynamic> toJson() => $MatchEntityToJson(this);

  String? age;
  String? callCost;
  String? callCostUserId;
  String? headImage;
  String? houseId;
  List<MatchCostUser>? matchCostUserId;
  String? matched;
  String? matchedAnchor;
  String? nickName;
  String? userId;
  String? matchTime;
}

@JsonSerializable()
class MatchCostUser {
  MatchCostUser();

  factory MatchCostUser.fromJson(Map<String, dynamic> json) =>
      $MatchCostUserFromJson(json);

  Map<String, dynamic> toJson() => $MatchCostUserToJson(this);

  String? cost;
  String? userId;
}
