import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/mian_list_entity.g.dart';

@JsonSerializable()
class MainListEntity {
  MainListEntity();

  factory MainListEntity.fromJson(Map<String, dynamic> json) =>
      $MainListEntityFromJson(json);

  Map<String, dynamic> toJson() => $MainListEntityToJson(this);

  List<ListAnchor>? rows;
  int? size;
  int? num;
}

@JsonSerializable()
class ListAnchor {
  ListAnchor();

  factory ListAnchor.fromJson(Map<String, dynamic> json) =>
      $ListAnchorFromJson(json);

  Map<String, dynamic> toJson() => $ListAnchorToJson(this);

  int? userId;
  String? nickname;
  String? country;
  String? birthday;
  String? headImage;
  int? gender;
  int? online;
  int? haveVideo;
  int? cost;
  int? isAnchor;
  int? isCare;
  int? haveFreeVideo;
  int? sort;
  int? userVideoId;
  int? liveStatus;
  int? toy;
  int? toyCost;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
