import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/point_sys_rule_info_entity.g.dart';

@JsonSerializable()
class PointSysRuleInfoEntity {
  String? content;
  String? image;
  String? title;
  String? url;

  PointSysRuleInfoEntity();

  factory PointSysRuleInfoEntity.fromJson(Map<String, dynamic> json) =>
      $PointSysRuleInfoEntityFromJson(json);

  Map<String, dynamic> toJson() => $PointSysRuleInfoEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
