import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/recommend_entity.g.dart';

@JsonSerializable()
class RecommendEntity {
  RecommendEntity();

  factory RecommendEntity.fromJson(Map<String, dynamic> json) =>
      $RecommendEntityFromJson(json);

  Map<String, dynamic> toJson() => $RecommendEntityToJson(this);

  String? birthday;
  String? headImage;
  String? nickname;
  int? userId;
  String? videoId;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
