import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/task_sys_user_info_entity.g.dart';

@JsonSerializable()
class TaskSysUserInfoEntity {
  List<TaskSysUserInfoDailyTask>? dailyTask;
  List<TaskSysUserInfoDailyTask>? newcomerTask;
  int? seconds;

  TaskSysUserInfoEntity();

  factory TaskSysUserInfoEntity.fromJson(Map<String, dynamic> json) =>
      $TaskSysUserInfoEntityFromJson(json);

  Map<String, dynamic> toJson() => $TaskSysUserInfoEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class TaskSysUserInfoDailyTask {
  List<TaskSysUserInfoDailyTask>? awards;
  String? icon;
  String? name;
  int? num;
  int? status;
  int? taskId;

  TaskSysUserInfoDailyTask();

  factory TaskSysUserInfoDailyTask.fromJson(Map<String, dynamic> json) =>
      $TaskSysUserInfoDailyTaskFromJson(json);

  Map<String, dynamic> toJson() => $TaskSysUserInfoDailyTaskToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

// @JsonSerializable()
// class TaskSysUserInfoDailyTaskAwards {

// 	String? icon;
// 	String? name;
// 	int? num;

//   TaskSysUserInfoDailyTaskAwards();

//   factory TaskSysUserInfoDailyTaskAwards.fromJson(Map<String, dynamic> json) => $TaskSysUserInfoDailyTaskAwardsFromJson(json);

//   Map<String, dynamic> toJson() => $TaskSysUserInfoDailyTaskAwardsToJson(this);

//   @override
//   String toString() {
//     return jsonEncode(this);
//   }
// }

// @JsonSerializable()
// class TaskSysUserInfoNewcomerTask {

// 	List<TaskSysUserInfoNewcomerTaskAwards>? awards;
// 	String? icon;
// 	String? name;
// 	int? type;

//   TaskSysUserInfoNewcomerTask();

//   factory TaskSysUserInfoNewcomerTask.fromJson(Map<String, dynamic> json) => $TaskSysUserInfoNewcomerTaskFromJson(json);

//   Map<String, dynamic> toJson() => $TaskSysUserInfoNewcomerTaskToJson(this);

//   @override
//   String toString() {
//     return jsonEncode(this);
//   }
// }

// @JsonSerializable()
// class TaskSysUserInfoNewcomerTaskAwards {

// 	String? icon;
// 	String? name;
// 	int? num;

//   TaskSysUserInfoNewcomerTaskAwards();

//   factory TaskSysUserInfoNewcomerTaskAwards.fromJson(Map<String, dynamic> json) => $TaskSysUserInfoNewcomerTaskAwardsFromJson(json);

//   Map<String, dynamic> toJson() => $TaskSysUserInfoNewcomerTaskAwardsToJson(this);

//   @override
//   String toString() {
//     return jsonEncode(this);
//   }
// }
