///用户体系 头像列表
class UserSysHeadListEntity {
  List<UserSysHeadFrameEntity>? headFrames;
  int? headFrameId;

  UserSysHeadListEntity({this.headFrames, this.headFrameId});

  factory UserSysHeadListEntity.fromJson(Map<String, dynamic> json) =>
      UserSysHeadListEntity(
        headFrames: (json['headFrames'] as List<dynamic>?)
            ?.map((e) =>
                UserSysHeadFrameEntity.fromJson(e as Map<String, dynamic>))
            .toList(),
        headFrameId: json['headFrameId'] as int?,
      );

  Map<String, dynamic> toJson() => {
        'headFrames': headFrames?.map((e) => e.toJson()).toList(),
        'headFrameId': headFrameId,
      };
}

class UserSysHeadFrameEntity {
  String? desc;
  int? headFrameId;
  String? icon;
  String? iconJson;
  int? isUnlock;
  String? name;
  int? price;
  int? status;
  int? times;

  UserSysHeadFrameEntity({
    this.desc,
    this.headFrameId,
    this.icon,
    this.iconJson,
    this.isUnlock,
    this.name,
    this.price,
    this.status,
    this.times,
  });

  factory UserSysHeadFrameEntity.fromJson(Map<String, dynamic> json) =>
      UserSysHeadFrameEntity(
        desc: json['desc'] as String?,
        headFrameId: json['headFrameId'] as int?,
        icon: json['icon'] as String?,
        iconJson: json['iconJson'] as String?,
        isUnlock: json['isUnlock'] as int?,
        name: json['name'] as String?,
        price: json['price'] as int?,
        status: json['status'] as int?,
        times: json['times'] as int?,
      );

  Map<String, dynamic> toJson() => {
        'desc': desc,
        'headFrameId': headFrameId,
        'icon': icon,
        'iconJson': iconJson,
        'isUnlock': isUnlock,
        'name': name,
        'price': price,
        'status': status,
        'times': times,
      };
}
