class UserIncomeEntity {
  String? desc;
  String? icon;
  String? iconJson;
  int? incomeStateId;
  int? isUnlock;
  String? name;
  int? price;
  int? status;
  int? times;

  UserIncomeEntity({
    this.desc,
    this.icon,
    this.iconJson,
    this.incomeStateId,
    this.isUnlock,
    this.name,
    this.price,
    this.status,
    this.times,
  });

  factory UserIncomeEntity.fromJson(Map<String, dynamic> json) {
    return UserIncomeEntity(
      desc: json['desc'] as String?,
      icon: json['icon'] as String?,
      iconJson: json['iconJson'] as String?,
      incomeStateId: json['incomeStateId'] as int?,
      isUnlock: json['isUnlock'] as int?,
      name: json['name'] as String?,
      price: json['price'] as int?,
      status: json['status'] as int?,
      times: json['times'] as int?,
    );
  }

  Map<String, dynamic> toJson() => {
        'desc': desc,
        'icon': icon,
        'iconJson': iconJson,
        'incomeStateId': incomeStateId,
        'isUnlock': isUnlock,
        'name': name,
        'price': price,
        'status': status,
        'times': times,
      };
}
