import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_achieve_entity.g.dart';

@JsonSerializable()
class UserSysAchieveEntity {
  int? serialNum;
  int? targetId;
  int? level;
  int? expireDate;
  String? type;
  String? name;
  String? icon;
  String? iconJson;
  String? desc;
  String? shareUrl;
  String? shareContent;

  UserSysAchieveEntity();

  factory UserSysAchieveEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysAchieveEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchieveEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
