import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_income_list_entity.g.dart';

@JsonSerializable()
class UserSysIncomeListEntity {
  int? coins;
  String? desc;
  String? icon;
  String? iconJson;
  int? incomeStateId;
  int? isUnlock;
  String? name;
  int? price;
  int? status;
  int? times;

  UserSysIncomeListEntity();

  factory UserSysIncomeListEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysIncomeListEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysIncomeListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
