import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_show_badge_im_entity.g.dart';

@JsonSerializable()
class UserSysShowBadgeImEntity {
  String? type;
  String? name;
  String? icon;
  String? iconJson;
  String? desc;
  String? shareUrl;
  String? shareContent;
  int? expireDate;
  int? targetId;
  int? level;
  int? serialNum;

  UserSysShowBadgeImEntity();

  factory UserSysShowBadgeImEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysShowBadgeImEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysShowBadgeImEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
