import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/video_list_entity.g.dart';

@JsonSerializable()
class VideoListEntity {
  VideoListEntity();

  factory VideoListEntity.fromJson(Map<String, dynamic> json) =>
      $VideoListEntityFromJson(json);

  Map<String, dynamic> toJson() => $VideoListEntityToJson(this);

  List<VideoListBean>? list;
}

@JsonSerializable()
class VideoListBean {
  VideoListBean();

  factory VideoListBean.fromJson(Map<String, dynamic> json) =>
      $VideoListBeanFromJson(json);

  Map<String, dynamic> toJson() => $VideoListBeanToJson(this);

  String? favCount;
  String? id;
  String? info;
  String? lookCount;
  String? picUrl;
  String? price;
  String? status; //0等待审核1审核通过2审核被拒绝
  String? videoId;
  UserBean? user;
  String? buyStatus; //0未购买，1 已经购买
  String? favStatus; //0未收藏 1已收藏
  String? videoUrl; //本地缓存的视频播放地址
}

@JsonSerializable()
class UserBean {
  UserBean();

  factory UserBean.fromJson(Map<String, dynamic> json) =>
      $UserBeanFromJson(json);

  Map<String, dynamic> toJson() => $UserBeanToJson(this);

  String? headImage;
  String? id;
  String? isCare; //0不关注，1关注 ,
  String? nickName;
  String? online;
}
