import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/video_msg_content_entity.g.dart';

@JsonSerializable()
class VideoMsgContentEntity {
  String? giftId;
  String? name;
  String? pic;
  String? url;
  String? price;
  String? lottie;

  VideoMsgContentEntity();

  factory VideoMsgContentEntity.fromJson(Map<String, dynamic> json) =>
      $VideoMsgContentEntityFromJson(json);

  Map<String, dynamic> toJson() => $VideoMsgContentEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
