import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/daily_entity.dart';

DailyEntity $DailyEntityFromJson(Map<String, dynamic> json) {
	final DailyEntity dailyEntity = DailyEntity();
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		dailyEntity.type = type;
	}
	final List<DailyBean>? model = jsonConvert.convertListNotNull<DailyBean>(json['model']);
	if (model != null) {
		dailyEntity.model = model;
	}
	return dailyEntity;
}

Map<String, dynamic> $DailyEntityToJson(DailyEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['type'] = entity.type;
	data['model'] =  entity.model?.map((v) => v.toJson()).toList();
	return data;
}

DailyBean $DailyBeanFromJson(Map<String, dynamic> json) {
	final DailyBean dailyBean = DailyBean();
	final String? giftUrl = jsonConvert.convert<String>(json['giftUrl']);
	if (giftUrl != null) {
		dailyBean.giftUrl = giftUrl;
	}
	final String? isSign = jsonConvert.convert<String>(json['isSign']);
	if (isSign != null) {
		dailyBean.isSign = isSign;
	}
	final String? num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		dailyBean.num = num;
	}
	final String? signId = jsonConvert.convert<String>(json['signId']);
	if (signId != null) {
		dailyBean.signId = signId;
	}
	final String? sort = jsonConvert.convert<String>(json['sort']);
	if (sort != null) {
		dailyBean.sort = sort;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		dailyBean.type = type;
	}
	return dailyBean;
}

Map<String, dynamic> $DailyBeanToJson(DailyBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['giftUrl'] = entity.giftUrl;
	data['isSign'] = entity.isSign;
	data['num'] = entity.num;
	data['signId'] = entity.signId;
	data['sort'] = entity.sort;
	data['type'] = entity.type;
	return data;
}