import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/faqlist_entity.dart';

FaqListEntity $FaqListEntityFromJson(Map<String, dynamic> json) {
	final FaqListEntity faqListEntity = FaqListEntity();
	final List<FaqList>? helpRespList = jsonConvert.convertListNotNull<FaqList>(json['helpRespList']);
	if (helpRespList != null) {
		faqListEntity.helpRespList = helpRespList;
	}
	return faqListEntity;
}

Map<String, dynamic> $FaqListEntityToJson(FaqListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['helpRespList'] =  entity.helpRespList?.map((v) => v.toJson()).toList();
	return data;
}

FaqList $FaqListFromJson(Map<String, dynamic> json) {
	final FaqList faqList = FaqList();
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		faqList.title = title;
	}
	final String? url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		faqList.url = url;
	}
	final String? content = jsonConvert.convert<String>(json['content']);
	if (content != null) {
		faqList.content = content;
	}
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		faqList.image = image;
	}
	return faqList;
}

Map<String, dynamic> $FaqListToJson(FaqList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['title'] = entity.title;
	data['url'] = entity.url;
	data['content'] = entity.content;
	data['image'] = entity.image;
	return data;
}