import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/history_con_entity.dart';

HistoryConEntity $HistoryConEntityFromJson(Map<String, dynamic> json) {
	final HistoryConEntity historyConEntity = HistoryConEntity();
	final List<HistoryConList>? consume = jsonConvert.convertListNotNull<HistoryConList>(json['consume']);
	if (consume != null) {
		historyConEntity.consume = consume;
	}
	return historyConEntity;
}

Map<String, dynamic> $HistoryConEntityToJson(HistoryConEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['consume'] =  entity.consume?.map((v) => v.toJson()).toList();
	return data;
}

HistoryConList $HistoryConListFromJson(Map<String, dynamic> json) {
	final HistoryConList historyConList = HistoryConList();
	final String? cost = jsonConvert.convert<String>(json['cost']);
	if (cost != null) {
		historyConList.cost = cost;
	}
	final String? ctype = jsonConvert.convert<String>(json['ctype']);
	if (ctype != null) {
		historyConList.ctype = ctype;
	}
	final String? date = jsonConvert.convert<String>(json['date']);
	if (date != null) {
		historyConList.date = date;
	}
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		historyConList.image = image;
	}
	final String? duration = jsonConvert.convert<String>(json['duration']);
	if (duration != null) {
		historyConList.duration = duration;
	}
	return historyConList;
}

Map<String, dynamic> $HistoryConListToJson(HistoryConList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['cost'] = entity.cost;
	data['ctype'] = entity.ctype;
	data['date'] = entity.date;
	data['image'] = entity.image;
	data['duration'] = entity.duration;
	return data;
}