import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/history_match_entity.dart';

HistoryMatchEntity $HistoryMatchEntityFromJson(Map<String, dynamic> json) {
	final HistoryMatchEntity historyMatchEntity = HistoryMatchEntity();
	final List<HistoryMatchList>? matchList = jsonConvert.convertListNotNull<HistoryMatchList>(json['matchList']);
	if (matchList != null) {
		historyMatchEntity.matchList = matchList;
	}
	return historyMatchEntity;
}

Map<String, dynamic> $HistoryMatchEntityToJson(HistoryMatchEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['matchList'] =  entity.matchList?.map((v) => v.toJson()).toList();
	return data;
}

HistoryMatchList $HistoryMatchListFromJson(Map<String, dynamic> json) {
	final HistoryMatchList historyMatchList = HistoryMatchList();
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		historyMatchList.id = id;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		historyMatchList.nickname = nickname;
	}
	final String? age = jsonConvert.convert<String>(json['age']);
	if (age != null) {
		historyMatchList.age = age;
	}
	final String? cost = jsonConvert.convert<String>(json['cost']);
	if (cost != null) {
		historyMatchList.cost = cost;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		historyMatchList.headImage = headImage;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		historyMatchList.online = online;
	}
	final String? times = jsonConvert.convert<String>(json['times']);
	if (times != null) {
		historyMatchList.times = times;
	}
	return historyMatchList;
}

Map<String, dynamic> $HistoryMatchListToJson(HistoryMatchList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['nickname'] = entity.nickname;
	data['age'] = entity.age;
	data['cost'] = entity.cost;
	data['headImage'] = entity.headImage;
	data['online'] = entity.online;
	data['times'] = entity.times;
	return data;
}