import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/init_gift_entity.dart';

InitGiftEntity $InitGiftEntityFromJson(Map<String, dynamic> json) {
	final InitGiftEntity initGiftEntity = InitGiftEntity();
	final List<InitGift>? gifts = jsonConvert.convertListNotNull<InitGift>(json['gifts']);
	if (gifts != null) {
		initGiftEntity.gifts = gifts;
	}
	return initGiftEntity;
}

Map<String, dynamic> $InitGiftEntityToJson(InitGiftEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gifts'] =  entity.gifts?.map((v) => v.toJson()).toList();
	return data;
}

InitGift $InitGiftFromJson(Map<String, dynamic> json) {
	final InitGift initGift = InitGift();
	final String? gifUrl = jsonConvert.convert<String>(json['gifUrl']);
	if (gifUrl != null) {
		initGift.gifUrl = gifUrl;
	}
	final String? price = jsonConvert.convert<String>(json['price']);
	if (price != null) {
		initGift.price = price;
	}
	final String? preUrl = jsonConvert.convert<String>(json['preUrl']);
	if (preUrl != null) {
		initGift.preUrl = preUrl;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		initGift.name = name;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		initGift.id = id;
	}
	final bool? check = jsonConvert.convert<bool>(json['check']);
	if (check != null) {
		initGift.check = check;
	}
	final String? to = jsonConvert.convert<String>(json['to']);
	if (to != null) {
		initGift.to = to;
	}
	return initGift;
}

Map<String, dynamic> $InitGiftToJson(InitGift entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gifUrl'] = entity.gifUrl;
	data['price'] = entity.price;
	data['preUrl'] = entity.preUrl;
	data['name'] = entity.name;
	data['id'] = entity.id;
	data['check'] = entity.check;
	data['to'] = entity.to;
	return data;
}