import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/label_entity.dart';

LabelEntity $LabelEntityFromJson(Map<String, dynamic> json) {
	final LabelEntity labelEntity = LabelEntity();
	final List<LabelItem>? anchorLabel = jsonConvert.convertListNotNull<LabelItem>(json['anchorLabel']);
	if (anchorLabel != null) {
		labelEntity.anchorLabel = anchorLabel;
	}
	final List<LabelItem>? talkLabel = jsonConvert.convertListNotNull<LabelItem>(json['talkLabel']);
	if (talkLabel != null) {
		labelEntity.talkLabel = talkLabel;
	}
	return labelEntity;
}

Map<String, dynamic> $LabelEntityToJson(LabelEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['anchorLabel'] =  entity.anchorLabel?.map((v) => v.toJson()).toList();
	data['talkLabel'] =  entity.talkLabel?.map((v) => v.toJson()).toList();
	return data;
}

LabelItem $LabelItemFromJson(Map<String, dynamic> json) {
	final LabelItem labelItem = LabelItem();
	final String? value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		labelItem.value = value;
	}
	final String? code = jsonConvert.convert<String>(json['code']);
	if (code != null) {
		labelItem.code = code;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		labelItem.type = type;
	}
	return labelItem;
}

Map<String, dynamic> $LabelItemToJson(LabelItem entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['value'] = entity.value;
	data['code'] = entity.code;
	data['type'] = entity.type;
	return data;
}