import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/level_sys_collect_list_entity.dart';

LevelSysCollectListEntity $LevelSysCollectListEntityFromJson(Map<String, dynamic> json) {
	final LevelSysCollectListEntity levelSysCollectListEntity = LevelSysCollectListEntity();
	final List<LevelSysCollectListAwards>? awards = jsonConvert.convertListNotNull<LevelSysCollectListAwards>(json['awards']);
	if (awards != null) {
		levelSysCollectListEntity.awards = awards;
	}
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		levelSysCollectListEntity.image = image;
	}
	final String? level = jsonConvert.convert<String>(json['level']);
	if (level != null) {
		levelSysCollectListEntity.level = level;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		levelSysCollectListEntity.num = num;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		levelSysCollectListEntity.type = type;
	}
	return levelSysCollectListEntity;
}

Map<String, dynamic> $LevelSysCollectListEntityToJson(LevelSysCollectListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['awards'] =  entity.awards?.map((v) => v.toJson()).toList();
	data['image'] = entity.image;
	data['level'] = entity.level;
	data['num'] = entity.num;
	data['type'] = entity.type;
	return data;
}

LevelSysCollectListAwards $LevelSysCollectListAwardsFromJson(Map<String, dynamic> json) {
	final LevelSysCollectListAwards levelSysCollectListAwards = LevelSysCollectListAwards();
	final String? awardType = jsonConvert.convert<String>(json['awardType']);
	if (awardType != null) {
		levelSysCollectListAwards.awardType = awardType;
	}
	final String? image = jsonConvert.convert<String>(json['image']);
	if (image != null) {
		levelSysCollectListAwards.image = image;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		levelSysCollectListAwards.type = type;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		levelSysCollectListAwards.num = num;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		levelSysCollectListAwards.name = name;
	}
	final int? targetId = jsonConvert.convert<int>(json['targetId']);
	if (targetId != null) {
		levelSysCollectListAwards.targetId = targetId;
	}
	return levelSysCollectListAwards;
}

Map<String, dynamic> $LevelSysCollectListAwardsToJson(LevelSysCollectListAwards entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['awardType'] = entity.awardType;
	data['image'] = entity.image;
	data['type'] = entity.type;
	data['num'] = entity.num;
	data['name'] = entity.name;
	data['targetId'] = entity.targetId;
	return data;
}