import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/live_entity.dart';

LiveEntity $LiveEntityFromJson(Map<String, dynamic> json) {
	final LiveEntity liveEntity = LiveEntity();
	final String? nextTime = jsonConvert.convert<String>(json['nextTime']);
	if (nextTime != null) {
		liveEntity.nextTime = nextTime;
	}
	final String? nextHouseId = jsonConvert.convert<String>(json['nextHouseId']);
	if (nextHouseId != null) {
		liveEntity.nextHouseId = nextHouseId;
	}
	final String? nowPeople = jsonConvert.convert<String>(json['nowPeople']);
	if (nowPeople != null) {
		liveEntity.nowPeople = nowPeople;
	}
	final List<String>? headers = jsonConvert.convertListNotNull<String>(json['headers']);
	if (headers != null) {
		liveEntity.headers = headers;
	}
	return liveEntity;
}

Map<String, dynamic> $LiveEntityToJson(LiveEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['nextTime'] = entity.nextTime;
	data['nextHouseId'] = entity.nextHouseId;
	data['nowPeople'] = entity.nowPeople;
	data['headers'] =  entity.headers;
	return data;
}