import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/pop_entity.dart';

PopupEntity $PopupEntityFromJson(Map<String, dynamic> json) {
	final PopupEntity popupEntity = PopupEntity();
	final List<PopBannerList>? bannerList = jsonConvert.convertListNotNull<PopBannerList>(json['bannerList']);
	if (bannerList != null) {
		popupEntity.bannerList = bannerList;
	}
	final List<PopPopupResp>? popupResp = jsonConvert.convertListNotNull<PopPopupResp>(json['popupResp']);
	if (popupResp != null) {
		popupEntity.popupResp = popupResp;
	}
	return popupEntity;
}

Map<String, dynamic> $PopupEntityToJson(PopupEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['bannerList'] =  entity.bannerList?.map((v) => v.toJson()).toList();
	data['popupResp'] =  entity.popupResp?.map((v) => v.toJson()).toList();
	return data;
}

PopBannerList $PopBannerListFromJson(Map<String, dynamic> json) {
	final PopBannerList popBannerList = PopBannerList();
	final String? imageUrl = jsonConvert.convert<String>(json['imageUrl']);
	if (imageUrl != null) {
		popBannerList.imageUrl = imageUrl;
	}
	final String? targetUrl = jsonConvert.convert<String>(json['targetUrl']);
	if (targetUrl != null) {
		popBannerList.targetUrl = targetUrl;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		popBannerList.title = title;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		popBannerList.type = type;
	}
	final String? value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		popBannerList.value = value;
	}
	return popBannerList;
}

Map<String, dynamic> $PopBannerListToJson(PopBannerList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['imageUrl'] = entity.imageUrl;
	data['targetUrl'] = entity.targetUrl;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['value'] = entity.value;
	return data;
}

PopPopupResp $PopPopupRespFromJson(Map<String, dynamic> json) {
	final PopPopupResp popPopupResp = PopPopupResp();
	final String? content = jsonConvert.convert<String>(json['content']);
	if (content != null) {
		popPopupResp.content = content;
	}
	final String? addWords = jsonConvert.convert<String>(json['addWords']);
	if (addWords != null) {
		popPopupResp.addWords = addWords;
	}
	final String? imgUrl = jsonConvert.convert<String>(json['imgUrl']);
	if (imgUrl != null) {
		popPopupResp.imgUrl = imgUrl;
	}
	final String? isPopup = jsonConvert.convert<String>(json['isPopup']);
	if (isPopup != null) {
		popPopupResp.isPopup = isPopup;
	}
	final String? money = jsonConvert.convert<String>(json['money']);
	if (money != null) {
		popPopupResp.money = money;
	}
	final String? symbol = jsonConvert.convert<String>(json['symbol']);
	if (symbol != null) {
		popPopupResp.symbol = symbol;
	}
	final String? parameter = jsonConvert.convert<String>(json['parameter']);
	if (parameter != null) {
		popPopupResp.parameter = parameter;
	}
	final String? payId = jsonConvert.convert<String>(json['payId']);
	if (payId != null) {
		popPopupResp.payId = payId;
	}
	final String? payType = jsonConvert.convert<String>(json['payType']);
	if (payType != null) {
		popPopupResp.payType = payType;
	}
	final String? rechargeId = jsonConvert.convert<String>(json['rechargeId']);
	if (rechargeId != null) {
		popPopupResp.rechargeId = rechargeId;
	}
	final String? time = jsonConvert.convert<String>(json['time']);
	if (time != null) {
		popPopupResp.time = time;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		popPopupResp.title = title;
	}
	final String? type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		popPopupResp.type = type;
	}
	final String? unit = jsonConvert.convert<String>(json['unit']);
	if (unit != null) {
		popPopupResp.unit = unit;
	}
	final String? url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		popPopupResp.url = url;
	}
	final String? value = jsonConvert.convert<String>(json['value']);
	if (value != null) {
		popPopupResp.value = value;
	}
	return popPopupResp;
}

Map<String, dynamic> $PopPopupRespToJson(PopPopupResp entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['content'] = entity.content;
	data['addWords'] = entity.addWords;
	data['imgUrl'] = entity.imgUrl;
	data['isPopup'] = entity.isPopup;
	data['money'] = entity.money;
	data['symbol'] = entity.symbol;
	data['parameter'] = entity.parameter;
	data['payId'] = entity.payId;
	data['payType'] = entity.payType;
	data['rechargeId'] = entity.rechargeId;
	data['time'] = entity.time;
	data['title'] = entity.title;
	data['type'] = entity.type;
	data['unit'] = entity.unit;
	data['url'] = entity.url;
	data['value'] = entity.value;
	return data;
}