import 'package:mmoo_base/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base/entity/video_list_entity.dart';

VideoListEntity $VideoListEntityFromJson(Map<String, dynamic> json) {
	final VideoListEntity videoListEntity = VideoListEntity();
	final List<VideoListBean>? list = jsonConvert.convertListNotNull<VideoListBean>(json['list']);
	if (list != null) {
		videoListEntity.list = list;
	}
	return videoListEntity;
}

Map<String, dynamic> $VideoListEntityToJson(VideoListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

VideoListBean $VideoListBeanFromJson(Map<String, dynamic> json) {
	final VideoListBean videoListBean = VideoListBean();
	final String? favCount = jsonConvert.convert<String>(json['favCount']);
	if (favCount != null) {
		videoListBean.favCount = favCount;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		videoListBean.id = id;
	}
	final String? info = jsonConvert.convert<String>(json['info']);
	if (info != null) {
		videoListBean.info = info;
	}
	final String? lookCount = jsonConvert.convert<String>(json['lookCount']);
	if (lookCount != null) {
		videoListBean.lookCount = lookCount;
	}
	final String? picUrl = jsonConvert.convert<String>(json['picUrl']);
	if (picUrl != null) {
		videoListBean.picUrl = picUrl;
	}
	final String? price = jsonConvert.convert<String>(json['price']);
	if (price != null) {
		videoListBean.price = price;
	}
	final String? status = jsonConvert.convert<String>(json['status']);
	if (status != null) {
		videoListBean.status = status;
	}
	final String? videoId = jsonConvert.convert<String>(json['videoId']);
	if (videoId != null) {
		videoListBean.videoId = videoId;
	}
	final UserBean? user = jsonConvert.convert<UserBean>(json['user']);
	if (user != null) {
		videoListBean.user = user;
	}
	final String? buyStatus = jsonConvert.convert<String>(json['buyStatus']);
	if (buyStatus != null) {
		videoListBean.buyStatus = buyStatus;
	}
	final String? favStatus = jsonConvert.convert<String>(json['favStatus']);
	if (favStatus != null) {
		videoListBean.favStatus = favStatus;
	}
	final String? videoUrl = jsonConvert.convert<String>(json['videoUrl']);
	if (videoUrl != null) {
		videoListBean.videoUrl = videoUrl;
	}
	return videoListBean;
}

Map<String, dynamic> $VideoListBeanToJson(VideoListBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['favCount'] = entity.favCount;
	data['id'] = entity.id;
	data['info'] = entity.info;
	data['lookCount'] = entity.lookCount;
	data['picUrl'] = entity.picUrl;
	data['price'] = entity.price;
	data['status'] = entity.status;
	data['videoId'] = entity.videoId;
	data['user'] = entity.user?.toJson();
	data['buyStatus'] = entity.buyStatus;
	data['favStatus'] = entity.favStatus;
	data['videoUrl'] = entity.videoUrl;
	return data;
}

UserBean $UserBeanFromJson(Map<String, dynamic> json) {
	final UserBean userBean = UserBean();
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		userBean.headImage = headImage;
	}
	final String? id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		userBean.id = id;
	}
	final String? isCare = jsonConvert.convert<String>(json['isCare']);
	if (isCare != null) {
		userBean.isCare = isCare;
	}
	final String? nickName = jsonConvert.convert<String>(json['nickName']);
	if (nickName != null) {
		userBean.nickName = nickName;
	}
	final String? online = jsonConvert.convert<String>(json['online']);
	if (online != null) {
		userBean.online = online;
	}
	return userBean;
}

Map<String, dynamic> $UserBeanToJson(UserBean entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headImage'] = entity.headImage;
	data['id'] = entity.id;
	data['isCare'] = entity.isCare;
	data['nickName'] = entity.nickName;
	data['online'] = entity.online;
	return data;
}