import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:mmoo_base/config/app_config.dart';
import 'package:sp_util/sp_util.dart';

class ThemeProvider extends ChangeNotifier {
  void setLocale(int locale) {
    SpUtil.putInt(AppConfig.appLocale, locale);
    notifyListeners();
  }

  int getLocale() {
    return SpUtil.getInt(AppConfig.appLocale)!;
  }
}
