import 'package:flutter/material.dart';

// 封装的文本组件Widget 局部刷新
class LiveTextWidget extends StatefulWidget {
  final String text;
  final TextStyle style;
  final TextOverflow? overflow;

  const LiveTextWidget(Key? key, this.style, this.text, {this.overflow})
      : super(key: key);

  @override
  State<LiveTextWidget> createState() => LiveTextWidgetState();
}

class LiveTextWidgetState extends State<LiveTextWidget> {
  String text = '0';

  @override
  void initState() {
    super.initState();
    text = widget.text;
  }

  void onSetState(String text) {
    this.text = text;
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return Text(text, style: widget.style, overflow: widget.overflow);
  }
}
