import 'package:flutter/material.dart';

import '../numbe_run_widget.dart';

// 封装的文本组件Widget 局部刷新
class NumberTextWidget extends StatefulWidget {
  final int? lastSize;
  final TextStyle style;
  final TextOverflow? overflow;

  const NumberTextWidget(Key key, this.style, this.lastSize, {this.overflow})
      : super(key: key);

  @override
  State<NumberTextWidget> createState() => NumberTextWidgetState();
}

class NumberTextWidgetState extends State<NumberTextWidget> {
  int? lastSize = 0;

  @override
  void initState() {
    super.initState();
    lastSize = widget.lastSize;
  }

  void onSetState(int? lastSize) {
    this.lastSize = lastSize;
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return NumberRunWidget(
        style: widget.style, number: lastSize, overflow: widget.overflow);
  }
}
