import 'dart:convert';

///isolate 的 compute 需要静态方法
class CodeUtils {
  static List<dynamic> decodeListResult(String data) {
    return jsonDecode(data);
  }

  static Map<String, dynamic> decodeMapResult(String data) {
    return jsonDecode(data);
  }

  static String encodeToString(String data) {
    return jsonEncode(data);
  }

  static String? iosDeviceCode(String? device) {
    switch (device) {
      case 'i386':
        return 'Simulator';
      case 'x86_64':
        return 'Simulator';
      case 'iPod7,1':
        return 'iPod Touch 6th';
      case 'iPhone5,1':
        return 'iPhone 5';
      case 'iPhone5,2':
        return 'iPhone 5';
      case 'iPhone5,3':
        return 'iPhone 5c';
      case 'iPhone5,4':
        return 'iPhone 5c';
      case 'iPhone6,1':
        return 'iPhone 5s';
      case 'iPhone6,2':
        return 'iPhone 5s';
      case 'iPhone7,1':
        return 'iPhone 6 Plus';
      case 'iPhone7,2':
        return 'iPhone 6';
      case 'iPhone8,1':
        return 'iPhone 6S';
      case 'iPhone8,2':
        return 'iPhone 6S Plus';
      case 'iPhone8,4':
        return 'iPhone SE';
      case 'iPhone9,1':
        return 'iPhone 7';
      case 'iPhone9,3':
        return 'iPhone 7';
      case 'iPhone9,2':
        return 'iPhone 7 Plus';
      case 'iPhone9,4':
        return 'iPhone 7 Plus';
      case 'iPhone10,1':
        return 'iPhone 8';
      case 'iPhone10,4':
        return 'iPhone 8';
      case 'iPhone10,2':
        return 'iPhone 8 Plus';
      case 'iPhone10,5':
        return 'iPhone 8 Plus';
      case 'iPhone10,3':
        return 'iPhone X';
      case 'iPhone10,6':
        return 'iPhone X';
      case 'iPhone11,8':
        return 'iPhone XR';
      case 'iPhone11,2':
        return 'iPhone XS';
      case 'iPhone11,4':
        return 'iPhone XS Max';
      case 'iPhone11,6':
        return 'iPhone XS Max';
      case 'iPhone12,1':
        return 'iPhone 11';
      case 'iPhone12,3':
        return 'iPhone 11 Pro';
      case 'iPhone12,5':
        return 'iPhone 11 Pro Max';
      default:
        return device;
    }
  }
}
